summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.gitmodules95
-rw-r--r--_clang-format2
-rw-r--r--coin/platform_configs/default.yaml38
-rw-r--r--coin/platform_configs/qt5.yaml40
-rw-r--r--coin/platform_configs/qtbase.yaml4
-rw-r--r--coin/platform_configs/qtconnectivity.yaml2
-rw-r--r--coin/platform_configs/qtsaferenderer.yaml6
-rw-r--r--coin/pre-provisioning/qtci-windows-10-x86/06-msvc_2017_build_tools.ps12
-rw-r--r--coin/pre-provisioning/qtci-windows-10-x86/msvc2015_update.ps12
-rw-r--r--coin/pre-provisioning/qtci-windows-10-x86/msvc2017.ps12
-rw-r--r--coin/pre-provisioning/qtci-windows-10-x86_64/01-enable-dotnet-framework.ps1 (renamed from coin/provisioning/qtci-windows-10-x86_64/02-enable-dotnet-framework.ps1)0
-rw-r--r--coin/pre-provisioning/qtci-windows-10-x86_64/06-msvc_2017_build_tools.ps148
-rw-r--r--coin/pre-provisioning/qtci-windows-10-x86_64/msvc2015_update.ps139
-rw-r--r--coin/pre-provisioning/qtci-windows-10-x86_64/msvc2017.ps164
-rw-r--r--coin/pre-provisioning/qtci-windows-10-x86_64/msvc_2015_update3_patch.ps1 (renamed from coin/provisioning/common/windows/msvc_2015_update3_patch.ps1)0
-rwxr-xr-xcoin/provisioning/common/linux/disable-ntp_linux.sh2
-rwxr-xr-xcoin/provisioning/common/linux/docker.sh7
-rwxr-xr-xcoin/provisioning/common/linux/docker_testserver.sh (renamed from coin/provisioning/common/linux/testserver/docker_testserver.sh)35
-rwxr-xr-xcoin/provisioning/common/linux/qnx_700.sh4
-rwxr-xr-xcoin/provisioning/common/macos/python2.sh8
-rw-r--r--coin/provisioning/common/shared/testserver/apache2/Dockerfile (renamed from coin/provisioning/common/linux/testserver/apache2/Dockerfile)0
-rw-r--r--coin/provisioning/common/shared/testserver/danted/Dockerfile (renamed from coin/provisioning/common/linux/testserver/danted/Dockerfile)0
-rwxr-xr-xcoin/provisioning/common/shared/testserver/danted/danted (renamed from coin/provisioning/common/linux/testserver/danted/danted)0
-rwxr-xr-xcoin/provisioning/common/shared/testserver/danted/danted-authenticating (renamed from coin/provisioning/common/linux/testserver/danted/danted-authenticating)0
-rwxr-xr-xcoin/provisioning/common/shared/testserver/docker_machine.sh50
-rw-r--r--coin/provisioning/common/shared/testserver/ftp-proxy/Dockerfile (renamed from coin/provisioning/common/linux/testserver/ftp-proxy/Dockerfile)0
-rw-r--r--[-rwxr-xr-x]coin/provisioning/common/shared/testserver/settings.sh (renamed from coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/60-qnx660.sh)6
-rw-r--r--coin/provisioning/common/shared/testserver/squid/Dockerfile (renamed from coin/provisioning/common/linux/testserver/squid/Dockerfile)0
-rw-r--r--coin/provisioning/common/shared/testserver/testserver_util.sh41
-rw-r--r--coin/provisioning/common/shared/testserver/vsftpd/Dockerfile (renamed from coin/provisioning/common/linux/testserver/vsftpd/Dockerfile)0
-rwxr-xr-xcoin/provisioning/common/unix/emsdk.sh (renamed from coin/provisioning/common/linux/emsdk.sh)52
-rwxr-xr-xcoin/provisioning/common/windows/09-install-openssl.sh (renamed from coin/provisioning/qtci-linux-RHEL-7.4-x86_64/09-install-openssl.sh)0
-rwxr-xr-xcoin/provisioning/common/windows/50-openssl_for_android_linux.sh (renamed from coin/provisioning/qtci-linux-Ubuntu-16.04-x86/50-openssl_for_android_linux.sh)0
-rw-r--r--coin/provisioning/common/windows/disable-defragment.ps142
-rwxr-xr-xcoin/provisioning/common/windows/emsdk.ps1121
-rw-r--r--coin/provisioning/common/windows/install-msys2.ps114
-rw-r--r--coin/provisioning/common/windows/msys.ps12
-rw-r--r--coin/provisioning/common/windows/mysql.ps14
-rw-r--r--coin/provisioning/common/windows/unset-proxy.ps19
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.6-x86_64/01-disable-mlocate.sh (renamed from coin/provisioning/qtci-linux-RHEL-7.4-x86_64/01-disable-mlocate.sh)0
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.6-x86_64/01-refresh-subscription-manager.sh (renamed from coin/provisioning/qtci-linux-RHEL-7.4-x86_64/01-refresh-subscription-manager.sh)0
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.6-x86_64/01-systemsetup.sh (renamed from coin/provisioning/qtci-linux-RHEL-7.4-x86_64/01-systemsetup.sh)0
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.6-x86_64/02-enable-repos.sh (renamed from coin/provisioning/qtci-linux-RHEL-7.4-x86_64/02-enable-repos.sh)0
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.6-x86_64/03-install-devtoolset.sh (renamed from coin/provisioning/qtci-linux-RHEL-7.4-x86_64/03-install-devtoolset.sh)0
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.6-x86_64/03-install-rhel-epel.sh (renamed from coin/provisioning/qtci-linux-RHEL-7.4-x86_64/03-install-rhel-epel.sh)0
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.6-x86_64/04-install-packages.sh (renamed from coin/provisioning/qtci-linux-RHEL-7.4-x86_64/04-install-packages.sh)0
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.6-x86_64/04-p7zip.sh (renamed from coin/provisioning/qtci-linux-RHEL-7.4-x86_64/04-p7zip.sh)0
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.6-x86_64/05-libclang.sh (renamed from coin/provisioning/qtci-linux-RHEL-7.4-x86_64/05-libclang.sh)0
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.6-x86_64/06-cmake.sh (renamed from coin/provisioning/qtci-linux-RHEL-7.4-x86_64/06-cmake.sh)0
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.6-x86_64/07-qnx_700.sh (renamed from coin/provisioning/qtci-linux-RHEL-7.4-x86_64/07-qnx_700.sh)0
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.6-x86_64/08-integrity.sh (renamed from coin/provisioning/qtci-linux-RHEL-7.4-x86_64/08-integrity.sh)0
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.6-x86_64/09-disable_selinux.sh (renamed from coin/provisioning/qtci-linux-RHEL-7.4-x86_64/09-disable_selinux.sh)0
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.6-x86_64/09-install-openssl.sh (renamed from coin/provisioning/qtci-linux-Ubuntu-16.04-x86/09-install-openssl.sh)0
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.6-x86_64/22-mqtt_broker.sh (renamed from coin/provisioning/qtci-linux-RHEL-7.4-x86_64/22-mqtt_broker.sh)0
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.6-x86_64/30-fbx.sh (renamed from coin/provisioning/qtci-linux-RHEL-7.4-x86_64/30-fbx.sh)0
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.6-x86_64/30-install_icu.sh (renamed from coin/provisioning/qtci-linux-RHEL-7.4-x86_64/30-install_icu.sh)0
-rwxr-xr-x[-rw-r--r--]coin/provisioning/qtci-linux-RHEL-7.6-x86_64/35-install-breakpad.sh (renamed from coin/provisioning/qtci-linux-RHEL-7.4-x86_64/35-install-breakpad.sh)0
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.6-x86_64/40-android_linux.sh (renamed from coin/provisioning/qtci-linux-RHEL-7.4-x86_64/40-android_linux.sh)0
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.6-x86_64/50-openssl_for_android_linux.sh (renamed from coin/provisioning/qtci-linux-RHEL-7.4-x86_64/50-openssl_for_android_linux.sh)0
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.6-x86_64/60-install_protobuff.sh (renamed from coin/provisioning/qtci-linux-RHEL-7.4-x86_64/60-install_protobuff.sh)0
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.6-x86_64/90-squish.sh (renamed from coin/provisioning/qtci-linux-RHEL-7.4-x86_64/90-squish.sh)0
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.6-x86_64/99-version.sh (renamed from coin/provisioning/qtci-linux-RHEL-7.4-x86_64/99-version.sh)0
-rwxr-xr-xcoin/provisioning/qtci-linux-Ubuntu-16.04-x86/01-disable-cracklib.sh4
-rwxr-xr-xcoin/provisioning/qtci-linux-Ubuntu-16.04-x86/01-disable-mlocate.sh4
-rwxr-xr-xcoin/provisioning/qtci-linux-Ubuntu-16.04-x86/01-remove_update-manager4
-rwxr-xr-xcoin/provisioning/qtci-linux-Ubuntu-16.04-x86/01-systemsetup.sh59
-rwxr-xr-xcoin/provisioning/qtci-linux-Ubuntu-16.04-x86/02-apt.sh55
-rwxr-xr-xcoin/provisioning/qtci-linux-Ubuntu-16.04-x86/90-squish.sh3
-rwxr-xr-xcoin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/01-disable-cracklib.sh4
-rwxr-xr-xcoin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/01-disable-mlocate.sh4
-rwxr-xr-xcoin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/01-remove_update-manager4
-rwxr-xr-xcoin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/01-systemsetup.sh65
-rwxr-xr-xcoin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/02-apt.sh185
-rwxr-xr-xcoin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/02-disable-ntp.sh4
-rwxr-xr-xcoin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/04-libclang.sh5
-rwxr-xr-xcoin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/22-mqtt_broker.sh39
-rwxr-xr-xcoin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/30-fbx.sh6
-rwxr-xr-xcoin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/35-install-breakpad.sh6
-rwxr-xr-xcoin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/40-android_linux.sh39
-rwxr-xr-xcoin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/40-cmake.sh5
-rwxr-xr-xcoin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/50-openssl_for_android_linux.sh39
-rwxr-xr-xcoin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/70-qnx700.sh39
-rwxr-xr-xcoin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/80-docker.sh4
-rwxr-xr-xcoin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/02-apt.sh7
-rwxr-xr-xcoin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/02-git_lfs.sh (renamed from coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/02-git_lfs.sh)0
-rwxr-xr-xcoin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/04-yocto.sh49
-rwxr-xr-xcoin/provisioning/qtci-linux-openSUSE-15.0-x86_64/01-systemsetup.sh (renamed from coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/01-systemsetup.sh)4
-rwxr-xr-xcoin/provisioning/qtci-linux-openSUSE-15.0-x86_64/02-disable-ntp.sh (renamed from coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/02-disable-ntp.sh)0
-rwxr-xr-xcoin/provisioning/qtci-linux-openSUSE-15.0-x86_64/02-zypperpackages.sh51
-rwxr-xr-xcoin/provisioning/qtci-linux-openSUSE-15.0-x86_64/08-libclang.sh (renamed from coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/08-libclang.sh)0
-rwxr-xr-xcoin/provisioning/qtci-linux-openSUSE-15.0-x86_64/08-pythondev.sh (renamed from coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/08-pythondev.sh)0
-rwxr-xr-xcoin/provisioning/qtci-linux-openSUSE-15.0-x86_64/09-cmake.sh (renamed from coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/09-cmake.sh)0
-rwxr-xr-xcoin/provisioning/qtci-linux-openSUSE-15.0-x86_64/09-install-openssl.sh (renamed from coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/09-install-openssl.sh)0
-rwxr-xr-xcoin/provisioning/qtci-linux-openSUSE-15.0-x86_64/18-icc.sh (renamed from coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/18-icc.sh)0
-rwxr-xr-xcoin/provisioning/qtci-linux-openSUSE-15.0-x86_64/22-mqtt_broker.sh (renamed from coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/22-mqtt_broker.sh)0
-rwxr-xr-xcoin/provisioning/qtci-linux-openSUSE-15.0-x86_64/55-emsdk.sh (renamed from coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/55-emsdk.sh)4
-rwxr-xr-xcoin/provisioning/qtci-linux-openSUSE-15.0-x86_64/90-squish.sh (renamed from coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/90-squish.sh)0
-rwxr-xr-xcoin/provisioning/qtci-linux-openSUSE-15.0-x86_64/99-unset-proxy.sh (renamed from coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/99-unset-proxy.sh)0
-rwxr-xr-xcoin/provisioning/qtci-linux-openSUSE-15.0-x86_64/99-version.sh (renamed from coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/99-version.sh)0
-rwxr-xr-xcoin/provisioning/qtci-linux-openSUSE-42.3-x86_64/02-zypperpackages.sh69
-rwxr-xr-xcoin/provisioning/qtci-linux-openSUSE-42.3-x86_64/09-install-openssl.sh6
-rwxr-xr-xcoin/provisioning/qtci-linux-openSUSE-42.3-x86_64/90-squish.sh4
-rw-r--r--coin/provisioning/qtci-macos-10.13-x86_64/36-emsdk.sh6
-rwxr-xr-xcoin/provisioning/qtci-macos-10.13-x86_64/40-qnx700.sh4
-rw-r--r--coin/provisioning/qtci-windows-10-x86/01-disable-windefender.ps1 (renamed from coin/provisioning/qtci-windows-10-x86/04-disable-windefender.ps1)0
-rw-r--r--coin/provisioning/qtci-windows-10-x86/01-disable-windows-updates.ps1 (renamed from coin/provisioning/qtci-windows-10-x86/04-disable-windows-updates.ps1)0
-rw-r--r--coin/provisioning/qtci-windows-10-x86_64/01-remove-ms-zune.ps12
-rw-r--r--coin/provisioning/qtci-windows-10-x86_64/02-disable-windows-updates.ps1 (renamed from coin/provisioning/qtci-windows-10-x86_64/04-disable-windows-updates.ps1)0
-rw-r--r--coin/provisioning/qtci-windows-10-x86_64/05-msvc.ps14
-rw-r--r--coin/provisioning/qtci-windows-10-x86_64/05-qnx_700.ps14
-rw-r--r--coin/provisioning/qtci-windows-10-x86_64/10-msvc_2015_update3_patch.ps134
-rwxr-xr-xcoin/provisioning/qtci-windows-10-x86_64/80-emsdk.ps12
m---------qt3d0
m---------qtactiveqt0
m---------qtandroidextras0
m---------qtbase0
m---------qtcanvas3d0
m---------qtcharts0
m---------qtconnectivity0
m---------qtdatavis3d0
m---------qtdeclarative0
m---------qtdoc0
m---------qtgamepad0
m---------qtgraphicaleffects0
m---------qtimageformats0
m---------qtlocation0
m---------qtlottie0
m---------qtmacextras0
m---------qtmultimedia0
m---------qtnetworkauth0
m---------qtpurchasing0
m---------qtqa0
m---------qtquickcontrols0
m---------qtquickcontrols20
m---------qtremoteobjects0
m---------qtscript0
m---------qtscxml0
m---------qtsensors0
m---------qtserialbus0
m---------qtserialport0
m---------qtspeech0
m---------qtsvg0
m---------qttools0
m---------qttranslations0
m---------qtvirtualkeyboard0
m---------qtwayland0
m---------qtwebchannel0
m---------qtwebengine0
m---------qtwebglplugin0
m---------qtwebsockets0
m---------qtwebview0
m---------qtwinextras0
m---------qtx11extras0
m---------qtxmlpatterns0
154 files changed, 615 insertions, 953 deletions
diff --git a/.gitmodules b/.gitmodules
index 9884474c..c6e10304 100644
--- a/.gitmodules
+++ b/.gitmodules
@@ -1,60 +1,60 @@
[submodule "qtbase"]
path = qtbase
url = ../qtbase.git
- branch = 5.12
+ branch = 5.13
status = essential
[submodule "qtsvg"]
depends = qtbase
path = qtsvg
url = ../qtsvg.git
- branch = 5.12
+ branch = 5.13
status = addon
[submodule "qtdeclarative"]
depends = qtbase
recommends = qtsvg
path = qtdeclarative
url = ../qtdeclarative.git
- branch = 5.12
+ branch = 5.13
status = essential
[submodule "qtactiveqt"]
depends = qtbase
path = qtactiveqt
url = ../qtactiveqt.git
- branch = 5.12
+ branch = 5.13
status = addon
[submodule "qtscript"]
depends = qtbase
recommends = qttools
path = qtscript
url = ../qtscript.git
- branch = 5.12
+ branch = 5.13
status = deprecated
[submodule "qtmultimedia"]
depends = qtbase
recommends = qtdeclarative
path = qtmultimedia
url = ../qtmultimedia.git
- branch = 5.12
+ branch = 5.13
status = essential
[submodule "qttools"]
depends = qtbase
recommends = qtdeclarative qtactiveqt
path = qttools
url = ../qttools.git
- branch = 5.12
+ branch = 5.13
status = essential
[submodule "qtxmlpatterns"]
depends = qtbase
recommends = qtdeclarative
path = qtxmlpatterns
url = ../qtxmlpatterns.git
- branch = 5.12
- status = addon
+ branch = 5.13
+ status = deprecated
[submodule "qttranslations"]
depends = qttools
path = qttranslations
url = ../qttranslations.git
- branch = 5.12
+ branch = 5.13
status = essential
priority = 30
[submodule "qtdoc"]
@@ -62,7 +62,7 @@
recommends = qtmultimedia qtquickcontrols qtquickcontrols2
path = qtdoc
url = ../qtdoc.git
- branch = 5.12
+ branch = 5.13
status = essential
priority = 40
[submodule "qtrepotools"]
@@ -83,14 +83,14 @@
recommends = qtdeclarative qtquickcontrols qtquickcontrols2 qtserialport
path = qtlocation
url = ../qtlocation.git
- branch = 5.12
+ branch = 5.13
status = addon
[submodule "qtsensors"]
depends = qtbase
recommends = qtdeclarative
path = qtsensors
url = ../qtsensors.git
- branch = 5.12
+ branch = 5.13
status = addon
[submodule "qtsystems"]
depends = qtbase
@@ -123,185 +123,192 @@
recommends = qtdeclarative qtandroidextras
path = qtconnectivity
url = ../qtconnectivity.git
- branch = 5.12
+ branch = 5.13
status = addon
[submodule "qtwayland"]
depends = qtbase
recommends = qtdeclarative
path = qtwayland
url = ../qtwayland.git
- branch = 5.12
+ branch = 5.13
status = addon
[submodule "qt3d"]
depends = qtbase
recommends = qtdeclarative qtimageformats qtgamepad
path = qt3d
url = ../qt3d.git
- branch = 5.12
+ branch = 5.13
status = addon
[submodule "qtimageformats"]
depends = qtbase
path = qtimageformats
url = ../qtimageformats.git
- branch = 5.12
+ branch = 5.13
status = addon
[submodule "qtgraphicaleffects"]
depends = qtdeclarative
path = qtgraphicaleffects
url = ../qtgraphicaleffects.git
- branch = 5.12
+ branch = 5.13
status = addon
[submodule "qtquickcontrols"]
depends = qtdeclarative
recommends = qtgraphicaleffects
path = qtquickcontrols
url = ../qtquickcontrols.git
- branch = 5.12
+ branch = 5.13
status = addon
[submodule "qtserialbus"]
- depends = qtserialport
+ depends = qtbase
+ recommends = qtserialport
path = qtserialbus
url = ../qtserialbus.git
- branch = 5.12
+ branch = 5.13
status = addon
[submodule "qtserialport"]
depends = qtbase
path = qtserialport
url = ../qtserialport.git
- branch = 5.12
+ branch = 5.13
status = addon
[submodule "qtx11extras"]
depends = qtbase
path = qtx11extras
url = ../qtx11extras.git
- branch = 5.12
+ branch = 5.13
status = addon
[submodule "qtmacextras"]
depends = qtbase
path = qtmacextras
url = ../qtmacextras.git
- branch = 5.12
+ branch = 5.13
status = addon
[submodule "qtwinextras"]
depends = qtbase
recommends = qtdeclarative qtmultimedia
path = qtwinextras
url = ../qtwinextras.git
- branch = 5.12
+ branch = 5.13
status = addon
[submodule "qtandroidextras"]
depends = qtbase
path = qtandroidextras
url = ../qtandroidextras.git
- branch = 5.12
+ branch = 5.13
status = addon
[submodule "qtwebsockets"]
depends = qtbase
recommends = qtdeclarative
path = qtwebsockets
url = ../qtwebsockets.git
- branch = 5.12
+ branch = 5.13
status = addon
[submodule "qtwebchannel"]
depends = qtbase
recommends = qtdeclarative qtwebsockets
path = qtwebchannel
url = ../qtwebchannel.git
- branch = 5.12
+ branch = 5.13
status = addon
[submodule "qtwebengine"]
depends = qtdeclarative
recommends = qtquickcontrols qtquickcontrols2 qtlocation qtwebchannel qttools
path = qtwebengine
url = ../qtwebengine.git
- branch = 5.12
- status = addon
+ branch = 5.13
+ status = ignore
priority = 10
[submodule "qtcanvas3d"]
depends = qtdeclarative
path = qtcanvas3d
url = ../qtcanvas3d.git
- branch = 5.12
- status = addon
+ branch = dev
+ status = ignore
[submodule "qtwebview"]
depends = qtdeclarative
recommends = qtwebengine
path = qtwebview
url = ../qtwebview.git
- branch = 5.12
+ branch = 5.13
status = addon
[submodule "qtquickcontrols2"]
depends = qtgraphicaleffects
recommends = qtimageformats
path = qtquickcontrols2
url = ../qtquickcontrols2.git
- branch = 5.12
+ branch = 5.13
status = essential
[submodule "qtpurchasing"]
depends = qtbase
recommends = qtdeclarative qtandroidextras
path = qtpurchasing
url = ../qtpurchasing.git
- branch = 5.12
+ branch = 5.13
status = addon
[submodule "qtcharts"]
depends = qtbase
recommends = qtdeclarative qtmultimedia
path = qtcharts
url = ../qtcharts.git
- branch = 5.12
+ branch = 5.13
status = addon
[submodule "qtdatavis3d"]
depends = qtbase
recommends = qtdeclarative qtmultimedia
path = qtdatavis3d
url = ../qtdatavis3d.git
- branch = 5.12
+ branch = 5.13
status = addon
[submodule "qtvirtualkeyboard"]
depends = qtbase qtdeclarative qtsvg
recommends = qtmultimedia qtquickcontrols
path = qtvirtualkeyboard
url = ../qtvirtualkeyboard.git
- branch = 5.12
+ branch = 5.13
status = ignore
[submodule "qtgamepad"]
depends = qtbase
recommends = qtdeclarative
path = qtgamepad
url = ../qtgamepad.git
- branch = 5.12
+ branch = 5.13
status = addon
[submodule "qtscxml"]
depends = qtbase qtdeclarative
path = qtscxml
url = ../qtscxml.git
- branch = 5.12
+ branch = 5.13
status = addon
[submodule "qtspeech"]
depends = qtbase
recommends = qtdeclarative qtmultimedia
path = qtspeech
url = ../qtspeech.git
- branch = 5.12
+ branch = 5.13
status = addon
[submodule "qtnetworkauth"]
depends = qtbase
path = qtnetworkauth
url = ../qtnetworkauth.git
- branch = 5.12
+ branch = 5.13
status = addon
[submodule "qtremoteobjects"]
depends = qtbase
recommends = qtdeclarative
path = qtremoteobjects
url = ../qtremoteobjects.git
- branch = 5.12
+ branch = 5.13
status = addon
[submodule "qtwebglplugin"]
depends = qtbase qtwebsockets
recommends = qtdeclarative
path = qtwebglplugin
url = ../qtwebglplugin.git
- branch = 5.12
+ branch = 5.13
status = addon
+[submodule "qtlottie"]
+ depends = qtbase qtdeclarative
+ path = qtlottie
+ url = ../qtlottie.git
+ branch = 5.13
+ status = preview
diff --git a/_clang-format b/_clang-format
index c64ae331..589baff3 100644
--- a/_clang-format
+++ b/_clang-format
@@ -42,7 +42,7 @@ BraceWrapping:
AfterFunction: true
AfterNamespace: false
AfterObjCDeclaration: false
- AfterStruct: false
+ AfterStruct: true
AfterUnion: false
BeforeCatch: false
BeforeElse: false
diff --git a/coin/platform_configs/default.yaml b/coin/platform_configs/default.yaml
index d2aa8f10..45eb2763 100644
--- a/coin/platform_configs/default.yaml
+++ b/coin/platform_configs/default.yaml
@@ -1,43 +1,44 @@
-
- Template: 'qtci-windows-10-x86_64-10'
+ Template: 'qtci-windows-10-x86_64-14'
Compiler: 'MSVC2015'
+ Features: ['DisableTests']
Configure arguments: '-opensource -confirm-license -verbose -prefix c:\Users\qt\work\install -developer-build -release -angle -qtnamespace TestNamespace -qtlibinfix TestInfix -nomake tests -openssl -I %OPENSSL_INCLUDE_x64% -L %OPENSSL_LIB_x64% -plugin-sql-mysql -plugin-sql-sqlite -plugin-sql-odbc -I %MYSQL_INCLUDE_x64% -L %MYSQL_LIB_x64% -plugin-sql-psql -I %POSTGRESQL_INCLUDE_x64% -L %POSTGRESQL_LIB_x64%'
-
Template: 'qtci-windows-7-x86-3'
Compiler: 'Mingw73'
Configure arguments: '-opensource -confirm-license -verbose -prefix c:\Users\qt\work\install -developer-build -release -nomake tests -opengl dynamic -nomake examples -openssl -I %OPENSSL_INCLUDE_x86% -L %OPENSSL_LIB_x86% -plugin-sql-mysql -plugin-sql-sqlite -plugin-sql-odbc -I %MYSQL_INCLUDE_x86% -L %MYSQL_LIB_x86% -plugin-sql-psql -I %POSTGRESQL_INCLUDE_x86% -L %POSTGRESQL_LIB_x86% -platform win32-g++'
-
- Template: 'qtci-windows-10-x86_64-10'
+ Template: 'qtci-windows-10-x86_64-14'
Target arch: 'x86'
Compiler: 'MSVC2017'
Features: ['Packaging']
Configure arguments: '-opensource -confirm-license -verbose -prefix c:\Users\qt\work\install -debug-and-release -release -force-debug-info -nomake tests -opengl dynamic -nomake examples -openssl -I %OPENSSL_INCLUDE_x86% -L %OPENSSL_LIB_x86% -no-sql-mysql -plugin-sql-sqlite -plugin-sql-odbc -I %MYSQL_INCLUDE_x86% -L %MYSQL_LIB_x86% -plugin-sql-psql -I %POSTGRESQL_INCLUDE_x86% -L %POSTGRESQL_LIB_x86%'
-
- Template: 'qtci-windows-10-x86_64-10'
+ Template: 'qtci-windows-10-x86_64-14'
Compiler: 'MSVC2015'
- Features: ['Packaging']
+ Features: ['Packaging', 'DisableTests']
Configure arguments: '-opensource -confirm-license -verbose -prefix c:\Users\qt\work\install -debug-and-release -release -force-debug-info -nomake tests -nomake examples -opengl dynamic -openssl -I %OPENSSL_INCLUDE_x64% -L %OPENSSL_LIB_x64% -no-sql-mysql -plugin-sql-sqlite -plugin-sql-odbc -I %MYSQL_INCLUDE_x64% -L %MYSQL_LIB_x64% -plugin-sql-psql -I %POSTGRESQL_INCLUDE_x64% -L %POSTGRESQL_LIB_x64%'
-
- Template: 'qtci-windows-10-x86_64-10'
+ Template: 'qtci-windows-10-x86_64-14'
Target os: 'WinRT_10'
Target arch: 'x86'
Compiler: 'MSVC2015'
Features: ['DisableTests']
Configure arguments: '-opensource -confirm-license -verbose -prefix c:\Users\qt\work\install -debug-and-release -release -force-debug-info -nomake tests -nomake examples -no-sql-mysql -platform win32-msvc2015 -xplatform winrt-x86-msvc2015'
-
- Template: 'qtci-windows-10-x86_64-10'
+ Template: 'qtci-windows-10-x86_64-14'
Target os: 'WinRT_10'
Target arch: 'armv7'
Compiler: 'MSVC2015'
Features: ['Packaging', 'DisableTests']
Configure arguments: '-opensource -confirm-license -verbose -prefix c:\Users\qt\work\install -debug-and-release -release -force-debug-info -nomake tests -nomake examples -no-sql-mysql -platform win32-msvc2015 -xplatform winrt-arm-msvc2015'
-
- Template: 'qtci-windows-10-x86_64-10'
+ Template: 'qtci-windows-10-x86_64-14'
Compiler: 'MSVC2017'
Features: ['Packaging']
Configure arguments: '-opensource -confirm-license -verbose -prefix c:\Users\qt\work\install -debug-and-release -release -force-debug-info -nomake tests -opengl dynamic -nomake examples -openssl -I %OPENSSL_INCLUDE_x64% -L %OPENSSL_LIB_x64% -no-sql-mysql -plugin-sql-sqlite -plugin-sql-odbc -I %MYSQL_INCLUDE_x64% -L %MYSQL_LIB_x64% -plugin-sql-psql -I %POSTGRESQL_INCLUDE_x64% -L %POSTGRESQL_LIB_x64%'
-
- Template: 'qtci-linux-Ubuntu-16.04-x86_64-2'
+ Template: 'qtci-linux-Ubuntu-18.04-x86_64'
Compiler: 'GCC'
Configure arguments: '-opensource -confirm-license -verbose -prefix /home/qt/work/install -developer-build -nomake tests -R . -qtlibinfix TestInfix -qtnamespace TestNamespace -openssl -I {{.Env.OPENSSL_HOME}}/include -L {{.Env.OPENSSL_HOME}}/lib'
-
@@ -53,30 +54,25 @@
Template: 'qtci-linux-Ubuntu-18.04-x86_64'
Compiler: 'GCC'
Features: ['DisableTests']
- Configure arguments: '-opensource -confirm-license -verbose -prefix /home/qt/work/install -developer-build -nomake tests -no-gui -R . -openssl -I {{.Env.OPENSSL_HOME}}/include -L {{.Env.OPENSSL_HOME}}/lib'
--
- Template: 'qtci-linux-Ubuntu-18.04-x86_64'
- Compiler: 'GCC'
- Features: ['DisableTests']
Configure arguments: '-opensource -confirm-license -verbose -prefix /home/qt/work/install -developer-build -nomake tests -no-opengl -R . -openssl -I {{.Env.OPENSSL_HOME}}/include -L {{.Env.OPENSSL_HOME}}/lib'
-
- Template: 'qtci-linux-openSUSE-42.3-x86_64'
+ Template: 'qtci-linux-openSUSE-15.0-x86_64'
Compiler: 'GCC'
Configure arguments: '-opensource -confirm-license -verbose -prefix /home/qt/work/install -developer-build -nomake tests -nomake examples -no-pch -R . -openssl -I {{.Env.OPENSSL_HOME}}/include -L {{.Env.OPENSSL_HOME}}/lib'
-
- Template: 'qtci-linux-openSUSE-42.3-x86_64'
+ Template: 'qtci-linux-openSUSE-15.0-x86_64'
Compiler: 'ICC_18'
Features: ['DisableTests']
Configure arguments: '-opensource -confirm-license -verbose -prefix /home/qt/work/install -developer-build -nomake tests -nomake examples -no-pch -system-sqlite -R . -platform linux-icc-64 -openssl -I {{.Env.OPENSSL_HOME}}/include -L {{.Env.OPENSSL_HOME}}/lib'
-
- Template: 'qtci-linux-openSUSE-42.3-x86_64'
+ Template: 'qtci-linux-openSUSE-15.0-x86_64'
Target os: 'WebAssembly'
Compiler: 'GCC'
Features: ['Packaging', 'DisableTests']
Configure arguments: '-opensource -confirm-license -verbose -prefix /home/qt/work/install -developer-build -release -static -nomake tests -nomake examples -no-sql-mysql -no-pch -no-dbus -no-headersclean -no-ssl -no-warnings-are-errors -no-feature-thread -xplatform wasm-emscripten'
-
- Template: 'qtci-linux-RHEL-7.4-x86_64'
+ Template: 'qtci-linux-RHEL-7.6-x86_64'
Compiler: 'GCC'
Features: ['Packaging']
Configure arguments: '-opensource -confirm-license -verbose -prefix /home/qt/work/install -release -nomake tests -nomake examples -no-libudev -no-use-gold-linker -force-debug-info -separate-debug-info -no-sql-mysql -plugin-sql-psql -plugin-sql-sqlite -qt-libjpeg -qt-libpng -qt-xcb -sysconfdir /etc/xdg -qt-pcre -qt-harfbuzz -R . -openssl -I {{.Env.OPENSSL_HOME}}/include -L {{.Env.OPENSSL_HOME}}/lib'
@@ -116,7 +112,7 @@
Features: ['DisableTests']
Configure arguments: '-opensource -confirm-license -verbose -prefix /Users/qt/work/install -debug-and-release -nomake tests -nomake examples -no-sql-mysql -no-sql-psql -plugin-sql-sqlite -xplatform macx-watchos-clang'
-
- Template: 'qtci-linux-RHEL-7.4-x86_64'
+ Template: 'qtci-linux-RHEL-7.6-x86_64'
Target os: 'Android_ANY'
Target arch: 'armv7'
Compiler: 'Clang'
@@ -124,7 +120,7 @@
Features: ['Packaging', 'DisableTests']
Configure arguments: '-opensource -confirm-license -verbose -prefix /home/qt/work/install -release -nomake tests -nomake examples -no-sql-mysql -no-dbus -no-qpa-platform-guard -no-use-gold-linker -sysconfdir /etc/xdg -opengl es2 -openssl -I {{.Env.OPENSSL_ANDROID_HOME}}/include -android-sdk /opt/android/sdk -android-ndk /opt/android/android-ndk-r19c -android-ndk-host linux-x86_64 -android-arch armeabi-v7a -xplatform android-clang'
-
- Template: 'qtci-linux-RHEL-7.4-x86_64'
+ Template: 'qtci-linux-RHEL-7.6-x86_64'
Target os: 'Android_ANY'
Target arch: 'arm64'
Compiler: 'Clang'
@@ -148,14 +144,14 @@
Compiler: 'GCC'
Features: ['TestOnly', 'LicenseCheck']
-
- Template: 'qtci-linux-RHEL-7.4-x86_64'
+ Template: 'qtci-linux-RHEL-7.6-x86_64'
Target os: 'INTEGRITY_11_04'
Target arch: 'armv7'
Compiler: 'GCC'
Features: ['DisableTests']
Configure arguments: '-opensource -confirm-license -verbose -prefix /home/qt/work/install -release -nomake tests -nomake examples -no-use-gold-linker -opengl es2 -xplatform integrity-armv7-imx6'
-
- Template: 'qtci-linux-RHEL-7.4-x86_64'
+ Template: 'qtci-linux-RHEL-7.6-x86_64'
Target os: 'QNX_700'
Target arch: 'armv7'
Compiler: 'GCC'
diff --git a/coin/platform_configs/qt5.yaml b/coin/platform_configs/qt5.yaml
index cabc1933..69f1c7e3 100644
--- a/coin/platform_configs/qt5.yaml
+++ b/coin/platform_configs/qt5.yaml
@@ -1,11 +1,11 @@
-
- Template: 'qtci-windows-10-x86_64-10'
+ Template: 'qtci-windows-10-x86_64-14'
Target os: 'WinRT_10'
Compiler: 'MSVC2015'
Features: ['Packaging', 'DisableTests']
Configure arguments: '-opensource -confirm-license -verbose -prefix c:\Users\qt\work\install -release -debug-and-release -nomake tests -nomake examples -force-debug-info -no-sql-mysql -platform win32-msvc2015 -xplatform winrt-x64-msvc2015'
-
- Template: 'qtci-windows-10-x86_64-10'
+ Template: 'qtci-windows-10-x86_64-14'
Target os: 'WinRT_10'
Target arch: 'x86'
Compiler: 'MSVC2017'
@@ -17,25 +17,25 @@
Features: ['Packaging', 'DisableTests']
Configure arguments: '-opensource -confirm-license -verbose -prefix c:\Users\qt\work\install -release -debug-and-release -nomake tests -nomake examples -opengl dynamic -openssl -I %OPENSSL_INCLUDE_x86% -L %OPENSSL_LIB_x86% -no-sql-mysql -plugin-sql-sqlite -plugin-sql-odbc -I %MYSQL_INCLUDE_x86% -L %MYSQL_LIB_x86% -plugin-sql-psql -I %POSTGRESQL_INCLUDE_x86% -L %POSTGRESQL_LIB_x86% -platform win32-g++'
-
- Template: 'qtci-windows-10-x86_64-10'
+ Template: 'qtci-windows-10-x86_64-14'
Compiler: 'Mingw73'
Features: ['Packaging', 'DisableTests']
Configure arguments: '-opensource -confirm-license -verbose -prefix c:\Users\qt\work\install -release -debug-and-release -nomake tests -nomake examples -opengl dynamic -openssl -I %OPENSSL_INCLUDE_x64% -L %OPENSSL_LIB_x64% -no-sql-mysql -plugin-sql-sqlite -plugin-sql-odbc -I %MYSQL_INCLUDE_x64% -L %MYSQL_LIB_x64% -plugin-sql-psql -I %POSTGRESQL_INCLUDE_x64% -L %POSTGRESQL_LIB_x64% -platform win32-g++'
-
- Template: 'qtci-windows-10-x86_64-10'
+ Template: 'qtci-windows-10-x86_64-14'
Target os: 'WinRT_10'
Target arch: 'armv7'
Compiler: 'MSVC2017'
Features: ['Packaging', 'DisableTests']
Configure arguments: '-opensource -confirm-license -verbose -prefix c:\Users\qt\work\install -release -debug-and-release -nomake tests -nomake examples -force-debug-info -no-sql-mysql -platform win32-msvc2017 -xplatform winrt-arm-msvc2017'
-
- Template: 'qtci-windows-10-x86_64-10'
+ Template: 'qtci-windows-10-x86_64-14'
Target os: 'WinRT_10'
Compiler: 'MSVC2017'
Features: ['Packaging', 'DisableTests']
Configure arguments: '-opensource -confirm-license -verbose -prefix c:\Users\qt\work\install -release -debug-and-release -nomake tests -nomake examples -force-debug-info -no-sql-mysql -platform win32-msvc2017 -xplatform winrt-x64-msvc2017'
-
- Template: 'qtci-linux-RHEL-7.4-x86_64'
+ Template: 'qtci-linux-RHEL-7.6-x86_64'
Target os: 'Android_ANY'
Target arch: 'x86'
Compiler: 'GCC'
@@ -43,7 +43,7 @@
Features: ['Packaging', 'DisableTests']
Configure arguments: '-opensource -confirm-license -verbose -prefix /home/qt/work/install -release -nomake tests -nomake examples -no-sql-mysql -no-dbus -no-use-gold-linker -no-qpa-platform-guard -opengl es2 -sysconfdir /etc/xdg -openssl -I {{.Env.OPENSSL_ANDROID_HOME}}/include -xplatform android-clang -android-sdk /opt/android/sdk -android-ndk /opt/android/android-ndk-r19c -android-ndk-host linux-x86_64 -android-arch x86'
-
- Template: 'qtci-windows-10-x86_64-10'
+ Template: 'qtci-windows-10-x86_64-14'
Target os: 'Android_ANY'
Target arch: 'armv7'
Compiler: 'Mingw73'
@@ -51,7 +51,7 @@
Features: ['Packaging', 'DisableTests']
Configure arguments: '-opensource -confirm-license -verbose -prefix c:\Users\qt\work\install -release -nomake tests -nomake examples -no-sql-mysql -no-dbus -opengl es2 -sysconfdir /etc/xdg -openssl -I c:\utils\openssl-android-master\include -xplatform android-clang -android-sdk C:\Utils\Android -android-ndk c:\Utils\Android\android-ndk-r19c -android-arch armeabi-v7a'
-
- Template: 'qtci-windows-10-x86_64-10'
+ Template: 'qtci-windows-10-x86_64-14'
Target os: 'Android_ANY'
Target arch: 'arm64'
Compiler: 'Mingw73'
@@ -59,7 +59,7 @@
Features: ['Packaging', 'DisableTests']
Configure arguments: '-opensource -confirm-license -verbose -prefix c:\Users\qt\work\install -release -nomake tests -nomake examples -no-sql-mysql -no-dbus -opengl es2 -sysconfdir /etc/xdg -openssl -I c:\utils\openssl-android-master\include -xplatform android-clang -android-sdk C:\Utils\Android -android-ndk c:\Utils\Android\android-ndk-r19c -android-arch arm64-v8a'
-
- Template: 'qtci-windows-10-x86_64-10'
+ Template: 'qtci-windows-10-x86_64-14'
Target os: 'Android_ANY'
Target arch: 'x86'
Compiler: 'Mingw73'
@@ -98,37 +98,49 @@
Features: ['DisableTests']
Configure arguments: '-opensource -confirm-license -verbose -prefix /Users/qt/work/install -release -nomake tests -nomake examples -no-use-gold-linker -opengl es2 -qpa qnx -xplatform qnx-x86-qcc'
-
- Template: 'qtci-windows-10-x86_64-10'
+ Template: 'qtci-windows-10-x86_64-14'
Target os: 'QNX_700'
Target arch: 'armv7'
Compiler: 'Mingw73'
Features: ['Packaging', 'DisableTests']
Configure arguments: '-opensource -confirm-license -verbose -prefix c:\Users\qt\work\install -release -nomake tests -nomake examples -no-sql-mysql -opengl es2 -xplatform qnx-armle-v7-qcc'
-
- Template: 'qtci-windows-10-x86_64-10'
+ Template: 'qtci-windows-10-x86_64-14'
Target os: 'QNX_700'
Target arch: 'armv8'
Compiler: 'Mingw73'
Features: ['Packaging', 'DisableTests']
Configure arguments: '-opensource -confirm-license -verbose -prefix c:\Users\qt\work\install -release -opengl es2 -nomake tests -nomake examples -no-sql-mysql -xplatform qnx-aarch64le-qcc'
-
- Template: 'qtci-windows-10-x86_64-10'
+ Template: 'qtci-windows-10-x86_64-14'
Target os: 'QNX_700'
Target arch: 'x86_64'
Compiler: 'Mingw73'
Features: ['Packaging', 'DisableTests']
Configure arguments: '-opensource -confirm-license -verbose -prefix c:\Users\qt\work\install -release -nomake tests -nomake examples -no-sql-mysql -opengl es2 -xplatform qnx-x86-64-qcc'
-
- Template: 'qtci-linux-RHEL-7.4-x86_64'
+ Template: 'qtci-linux-RHEL-7.6-x86_64'
Target os: 'QNX_700'
Target arch: 'armv8'
Compiler: 'GCC'
Features: ['Packaging', 'DisableTests']
Configure arguments: '-opensource -confirm-license -verbose -prefix /home/qt/work/install -release -nomake tests -nomake examples -no-sql-mysql -no-use-gold-linker -opengl es2 -qpa qnx -xplatform qnx-aarch64le-qcc'
-
- Template: 'qtci-linux-RHEL-7.4-x86_64'
+ Template: 'qtci-linux-RHEL-7.6-x86_64'
Target os: 'QNX_700'
Target arch: 'x86_64'
Compiler: 'GCC'
Features: ['Packaging', 'DisableTests']
Configure arguments: '-opensource -confirm-license -verbose -prefix /home/qt/work/install -release -nomake tests -nomake examples -no-sql-mysql -no-use-gold-linker -opengl es2 -qpa qnx -xplatform qnx-x86-64-qcc'
+-
+ Template: 'qtci-windows-10-x86_64-14'
+ Target os: 'WebAssembly'
+ Compiler: 'Mingw73'
+ Features: ['Packaging', 'DisableTests']
+ Configure arguments: '-opensource -confirm-license -verbose -prefix c:\Users\qt\work\install -release -nomake examples -nomake tests -no-feature-thread -static -no-dbus -no-headersclean -no-ssl -no-warnings-are-errors -no-pch -platform win32-g++ -xplatform wasm-emscripten'
+-
+ Template: 'qtci-macos-10.13-x86_64-2'
+ Target os: 'WebAssembly'
+ Compiler: 'Clang'
+ Features: ['Packaging', 'DisableTests']
+ Configure arguments: '-opensource -confirm-license -verbose -prefix /Users/qt/work/install -release -nomake examples -nomake tests -no-feature-thread -static -no-dbus -no-headersclean -no-ssl -no-warnings-are-errors -no-pch -xplatform wasm-emscripten'
diff --git a/coin/platform_configs/qtbase.yaml b/coin/platform_configs/qtbase.yaml
index dbe93909..58196acb 100644
--- a/coin/platform_configs/qtbase.yaml
+++ b/coin/platform_configs/qtbase.yaml
@@ -1,11 +1,11 @@
-
- Template: 'qtci-windows-10-x86_64-10'
+ Template: 'qtci-windows-10-x86_64-14'
Target os: 'WinRT_10'
Target arch: 'x86_64'
Compiler: 'MSVC2015'
Configure arguments: '-opensource -confirm-license -verbose -prefix c:\Users\qt\work\install -release -developer-build -static -nomake tests -nomake examples -no-icu -force-debug-info -platform win32-msvc2015 -xplatform winrt-x64-msvc2015'
-
- Template: 'qtci-linux-openSUSE-42.3-x86_64'
+ Template: 'qtci-linux-openSUSE-15.0-x86_64'
Target os: 'WebAssembly'
Compiler: 'GCC'
Features: ['DisableTests']
diff --git a/coin/platform_configs/qtconnectivity.yaml b/coin/platform_configs/qtconnectivity.yaml
index e46597cd..782d6bce 100644
--- a/coin/platform_configs/qtconnectivity.yaml
+++ b/coin/platform_configs/qtconnectivity.yaml
@@ -1,5 +1,5 @@
-
- Template: 'qtci-windows-10-x86_64-10'
+ Template: 'qtci-windows-10-x86_64-14'
Target os: 'WinRT_10'
Target arch: 'x86_64'
Compiler: 'MSVC2015'
diff --git a/coin/platform_configs/qtsaferenderer.yaml b/coin/platform_configs/qtsaferenderer.yaml
index c2bc05e0..cc0c29d7 100644
--- a/coin/platform_configs/qtsaferenderer.yaml
+++ b/coin/platform_configs/qtsaferenderer.yaml
@@ -1,13 +1,13 @@
-
- Template: 'qtci-windows-10-x86_64-10'
+ Template: 'qtci-windows-10-x86_64-14'
Compiler: 'Mingw73'
Configure arguments: '-opensource -confirm-license -verbose -prefix c:\Users\qt\work\install -release -developer-build -nomake tests -opengl dynamic -openssl -I %OPENSSL_INCLUDE_x64% -L %OPENSSL_LIB_x64% -plugin-sql-mysql -plugin-sql-sqlite -plugin-sql-odbc -I %MYSQL_INCLUDE_x64% -L %MYSQL_LIB_x64% -plugin-sql-psql -I %POSTGRESQL_INCLUDE_x64% -L %POSTGRESQL_LIB_x64% -platform win32-g++'
-
- Template: 'qtci-windows-10-x86_64-10'
+ Template: 'qtci-windows-10-x86_64-14'
Compiler: 'Mingw73'
Configure arguments: '-opensource -confirm-license -verbose -prefix c:\Users\qt\work\install -release -developer-build -static -nomake tests -nomake examples -no-icu -opengl dynamic -openssl -I %OPENSSL_INCLUDE_x64% -L %OPENSSL_LIB_x64% -plugin-sql-mysql -plugin-sql-sqlite -plugin-sql-odbc -I %MYSQL_INCLUDE_x64% -L %MYSQL_LIB_x64% -platform win32-g++'
-
- Template: 'qtci-linux-RHEL-7.4-x86_64'
+ Template: 'qtci-linux-RHEL-7.6-x86_64'
Compiler: 'GCC'
Features: ['DisableTests']
Configure arguments: '-opensource -confirm-license -verbose -prefix /home/qt/work/install -release -developer-build -static -nomake tests -nomake examples -no-use-gold-linker'
diff --git a/coin/pre-provisioning/qtci-windows-10-x86/06-msvc_2017_build_tools.ps1 b/coin/pre-provisioning/qtci-windows-10-x86/06-msvc_2017_build_tools.ps1
index 0c00ba71..2bb92c22 100644
--- a/coin/pre-provisioning/qtci-windows-10-x86/06-msvc_2017_build_tools.ps1
+++ b/coin/pre-provisioning/qtci-windows-10-x86/06-msvc_2017_build_tools.ps1
@@ -1,6 +1,6 @@
############################################################################
##
-## Copyright (C) 2017 The Qt Company Ltd.
+## Copyright (C) 2018 The Qt Company Ltd.
## Contact: http://www.qt.io/licensing/
##
## This file is part of the provisioning scripts of the Qt Toolkit.
diff --git a/coin/pre-provisioning/qtci-windows-10-x86/msvc2015_update.ps1 b/coin/pre-provisioning/qtci-windows-10-x86/msvc2015_update.ps1
index 2ad479c8..35f8dc3f 100644
--- a/coin/pre-provisioning/qtci-windows-10-x86/msvc2015_update.ps1
+++ b/coin/pre-provisioning/qtci-windows-10-x86/msvc2015_update.ps1
@@ -1,6 +1,6 @@
#############################################################################
##
-## Copyright (C) 2017 The Qt Company Ltd.
+## Copyright (C) 2018 The Qt Company Ltd.
## Contact: http://www.qt.io/licensing/
##
## This file is part of the provisioning scripts of the Qt Toolkit.
diff --git a/coin/pre-provisioning/qtci-windows-10-x86/msvc2017.ps1 b/coin/pre-provisioning/qtci-windows-10-x86/msvc2017.ps1
index cf00ee88..052ec9c6 100644
--- a/coin/pre-provisioning/qtci-windows-10-x86/msvc2017.ps1
+++ b/coin/pre-provisioning/qtci-windows-10-x86/msvc2017.ps1
@@ -1,6 +1,6 @@
############################################################################
##
-## Copyright (C) 2017 The Qt Company Ltd.
+## Copyright (C) 2018 The Qt Company Ltd.
## Contact: http://www.qt.io/licensing/
##
## This file is part of the provisioning scripts of the Qt Toolkit.
diff --git a/coin/provisioning/qtci-windows-10-x86_64/02-enable-dotnet-framework.ps1 b/coin/pre-provisioning/qtci-windows-10-x86_64/01-enable-dotnet-framework.ps1
index e7f4c248..e7f4c248 100644
--- a/coin/provisioning/qtci-windows-10-x86_64/02-enable-dotnet-framework.ps1
+++ b/coin/pre-provisioning/qtci-windows-10-x86_64/01-enable-dotnet-framework.ps1
diff --git a/coin/pre-provisioning/qtci-windows-10-x86_64/06-msvc_2017_build_tools.ps1 b/coin/pre-provisioning/qtci-windows-10-x86_64/06-msvc_2017_build_tools.ps1
deleted file mode 100644
index 0c00ba71..00000000
--- a/coin/pre-provisioning/qtci-windows-10-x86_64/06-msvc_2017_build_tools.ps1
+++ /dev/null
@@ -1,48 +0,0 @@
-############################################################################
-##
-## Copyright (C) 2017 The Qt Company Ltd.
-## Contact: http://www.qt.io/licensing/
-##
-## This file is part of the provisioning scripts of the Qt Toolkit.
-##
-## $QT_BEGIN_LICENSE:LGPL21$
-## Commercial License Usage
-## Licensees holding valid commercial Qt licenses may use this file in
-## accordance with the commercial license agreement provided with the
-## Software or, alternatively, in accordance with the terms contained in
-## a written agreement between you and The Qt Company. For licensing terms
-## and conditions see http://www.qt.io/terms-conditions. For further
-## information use the contact form at http://www.qt.io/contact-us.
-##
-## GNU Lesser General Public License Usage
-## Alternatively, this file may be used under the terms of the GNU Lesser
-## General Public License version 2.1 or version 3 as published by the Free
-## Software Foundation and appearing in the file LICENSE.LGPLv21 and
-## LICENSE.LGPLv3 included in the packaging of this file. Please review the
-## following information to ensure the GNU Lesser General Public License
-## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
-## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
-##
-## As a special exception, The Qt Company gives you certain additional
-## rights. These rights are described in The Qt Company LGPL Exception
-## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
-##
-## $QT_END_LICENSE$
-##
-#############################################################################
-. "$PSScriptRoot\..\common\helpers.ps1"
-
-# This script will install Visual Studio 2017 Build Tools
-# https://www.visualstudio.com/downloads/#build-tools-for-visual-studio-2017
-
-$version = "2017_version_15.0"
-$url_cache = "http://ci-files01-hki.intra.qt.io/input/windows/mu_build_tools_for_visual_studio_" + $version + "_x86_x64_10254482.exe"
-$sha1 = "a31e099e5114fef80a21654689e6864afc544a16"
-$msvcPackage = "C:\Windows\Temp\$version.exe"
-
-Download $url_cache $url_cache $msvcPackage
-Verify-Checksum $msvcPackage $sha1
-cmd /c "$msvcPackage --all --passive --wait"
-echo "Cleaning $msvcPackage.."
-Remove-Item -Recurse -Force "$msvcPackage"
-echo "Visual Studio Build Tools = $version" >> ~\versions.txt
diff --git a/coin/pre-provisioning/qtci-windows-10-x86_64/msvc2015_update.ps1 b/coin/pre-provisioning/qtci-windows-10-x86_64/msvc2015_update.ps1
index 2ad479c8..00f8af72 100644
--- a/coin/pre-provisioning/qtci-windows-10-x86_64/msvc2015_update.ps1
+++ b/coin/pre-provisioning/qtci-windows-10-x86_64/msvc2015_update.ps1
@@ -1,6 +1,6 @@
#############################################################################
##
-## Copyright (C) 2017 The Qt Company Ltd.
+## Copyright (C) 2018 The Qt Company Ltd.
## Contact: http://www.qt.io/licensing/
##
## This file is part of the provisioning scripts of the Qt Toolkit.
@@ -30,29 +30,22 @@
## $QT_END_LICENSE$
##
#############################################################################
-. "$PSScriptRoot\..\..\provisioning\common\helpers.ps1"
-# Install Visual Studio $version with $update_version
-# Original download page: https://www.visualstudio.com/en-us/news/releasenotes/vs2015-update3-vs
-$version = "2015"
-$update_version = "3"
+# Visual Studio $version was installed manually using $installer.
+$version = "2015 update 3"
+$version_number ="14.0.25431.01"
+$installer = "http://ci-files01-hki.intra.qt.io/input/windows/en_visual_studio_professional_2015_with_update_3_x86_x64_web_installer_8922978"
-# Only way to install specific Visual studio release is to use feed.xml.
-# Visual Studio $version setup will use the feed.xml that was available when $update_version released -> 'https://msdn.microsoft.com/en-us/library/mt653628.aspx'
-# These parameters will install Visual Studio Enterprise Update $update_version (the original Update $update_version without any further Update $update_version-era updates)
-$parameters = "/OverrideFeedURI http://download.microsoft.com/download/6/B/B/6BBD3561-D764-4F39-AB8E-05356A122545/20160628.2/enu/feed.xml"
+# default plus following components were selected:
+# * Visual C++
+# * Universal Windows App Development Tools
+# - Tools (1.4.1) and Windows SDK (10.0.14393)
+# - Windows 10 SDK (10.0.10586)
+# - Windows 10 SDK (10.0.10240)
+# * Common Tools
+# -Visual Studio Extensibility Tools Update 3
-$msvc_web_installer = "vs" + $version + "_" + $update_version
-$package = "C:\Windows\temp\$msvc_web_installer.exe"
-$url_cache = "http://ci-files01-hki.intra.qt.io/input/windows/$msvc_web_installer.exe"
-$url_official = "https://go.microsoft.com/fwlink/?LinkId=691129"
-$sha1 = "68abf90424aff604a04d6c61fb52adcd2cab2266"
+# NOTE! Windows SDK 10.0.14393 installation failed through visual studio installer so it was installed using $sdk_installer
+$sdk_installer = "http://ci-files01-hki.intra.qt.io/input/windows/sdksetup.exe"
-echo "Fetching Visual Studio $version update $update_version..."
-Download $url_official $url_cache $package
-Verify-Checksum $package $sha1
-echo "Installing Visual studio $version update $update_version..."
-cmd /c "$package $parameters /norestart /Quiet"
-remove-item $package
-
-echo "Visual Studio = $version update $update_version" >> ~\versions.txt
+echo "Visual Studio = $version version $version_number" >> ~\versions.txt
diff --git a/coin/pre-provisioning/qtci-windows-10-x86_64/msvc2017.ps1 b/coin/pre-provisioning/qtci-windows-10-x86_64/msvc2017.ps1
index cf00ee88..cc0dbd85 100644
--- a/coin/pre-provisioning/qtci-windows-10-x86_64/msvc2017.ps1
+++ b/coin/pre-provisioning/qtci-windows-10-x86_64/msvc2017.ps1
@@ -1,6 +1,6 @@
############################################################################
##
-## Copyright (C) 2017 The Qt Company Ltd.
+## Copyright (C) 2018 The Qt Company Ltd.
## Contact: http://www.qt.io/licensing/
##
## This file is part of the provisioning scripts of the Qt Toolkit.
@@ -31,19 +31,57 @@
##
#############################################################################
-. "$PSScriptRoot\..\common\helpers.ps1"
-
-# This script will install Visual Studio 2017
+# Visual Studio $version version $version_number was installed manually using $installer.
$version = "2017"
-$url_cache = "http://ci-files01-hki.intra.qt.io/input/windows/mu_visual_studio_professional_" + $version + "_x86_x64_10049787.exe"
-$sha1 = "8d678d27735018a99dc22ddb5412e4e6868991ae"
-$msvcPackage = "C:\Windows\Temp\$version.exe"
+$version_number = "15.8.5"
+$installer = "http://ci-files01-hki.ci.local/input/windows/vs_professional__1312218103.1526017942.exe"
+# Following components were selected from installer:
+# Microsoft.Net.Component.4.5.TargetingPack (.NET Framework 4.5 targeting pack)
+# Microsoft.Net.Component.4.6.1.SDK (.NET Framework 4.6.1 SDK)
+# Microsoft.Component.NetFX.Native (.NET Native)
+# Microsoft.VisualStudio.Component.PortableLibrary (.NET Portable Library targeting pack)
+# Microsoft.VisualStudio.Component.SQL.CLR (CLR data types for SQL Server)
+# Microsoft.VisualStudio.Component.VisualStudioData (Data sources and service references)
+# Microsoft.Component.ClickOnce (ClickOnce Publishing)
+# Microsoft.VisualStudio.Component.AppInsights.Tools (Developer Analytics tools)
+# Microsoft.VisualStudio.Component.NuGet (NuGet package manager)
+# Microsoft.VisualStudio.Component.Static.Analysis.Tools (Static analysis tools)
+# Microsoft.VisualStudio.Component.TextTemplating (Text Template Transformation)
+# Microsoft.VisualStudio.Component.Roslyn.Compiler (C# and Visual Basic Roslyn compilers)
+# Microsoft.Component.MSBuild (MSBuild)
+# Microsoft.VisualStudio.Component.VC.Tools.x86.x64 (VC++ 2017 version 15.8 v14.15 latest v141 tools)
+# Microsoft.VisualStudio.Component.VC.Redist.14.Latest (Visual C++ 2017 Redistributable Update)
+# Microsoft.VisualStudio.Component.VC.Tools.ARM (Visual C++ compilers and libraries for ARM)
+# Microsoft.VisualStudio.Component.VC.Tools.ARM64 (Visual C++ compilers and libraries for ARM64)
+# Microsoft.VisualStudio.Component.VC.CMake.Project (Visual C++ tools for CMake)
+# Microsoft.VisualStudio.Component.DiagnosticTools (.NET profiling tools)
+# Microsoft.VisualStudio.Component.VC.DiagnosticTools (C++ profiling tools)
+# Microsoft.VisualStudio.Component.JavaScript.Diagnostics (JavaScript diagnostics)
+# Microsoft.VisualStudio.Component.Debugger.JustInTime (Just-In-Time debugger)
+# Microsoft.VisualStudio.Component.Roslyn.LanguageServices (C# and Visual Basic)
+# Microsoft.VisualStudio.Component.JavaScript.TypeScript (JavaScript and TypeScript language support)
+# Component.Microsoft.VisualStudio.RazorExtension (Razor Language Services)
+# Component.Linux.CMake (Visual C++ tools for CMake and Linux)
+# Microsoft.VisualStudio.Component.VC.CoreIde (Visual Studio C++ core features)
+# Microsoft.VisualStudio.Component.Graphics.Tools (Graphics debugger and GPU profiler for DirectX)
+# Microsoft.VisualStudio.Component.Graphics (Image and 3D model editors)
+# Microsoft.VisualStudio.Component.Graphics.Win81 (Graphics Tools Windows 8.1 SDK)
+# Microsoft.VisualStudio.Component.TypeScript.2.3 (TypeScript 2.3 SDK)
+# Microsoft.VisualStudio.Component.TypeScript.3.0 (TypeScript 3.0 SDK)
+# Microsoft.VisualStudio.Component.VC.ATL (Visual C++ ATL for x86 and x64)
+# Microsoft.VisualStudio.Component.Windows10SDK.10240 (Windows 10 SDK (10.0.10240.0))
+# Microsoft.VisualStudio.Component.Windows10SDK.10586 (Windows 10 SDK (10.0.10586.0))
+# Microsoft.VisualStudio.Component.Windows10SDK.14393 (Windows 10 SDK (10.0.14393.0))
+# Microsoft.VisualStudio.Component.Windows10SDK.15063.Desktop (Windows 10 SDK (10.0.15063.0) for Desktop C++ [x86 and x64])
+# Microsoft.VisualStudio.Component.Windows10SDK.15063.UWP (Windows 10 SDK (10.0.15063.0) for UWP: C#, VB, JS)
+# Microsoft.VisualStudio.Component.Windows10SDK.15063.UWP.Native (Windows 10 SDK (10.0.15063.0) for UWP: C++)
+# Microsoft.VisualStudio.Component.Windows10SDK.16299.Desktop (Windows 10 SDK (10.0.16299.0) for Desktop C++ [x86 and x64])
+# Microsoft.VisualStudio.Component.Windows10SDK.16299.UWP (Windows 10 SDK (10.0.16299.0) for UWP: C#, VB, JS)
+# Microsoft.VisualStudio.Component.Windows10SDK.16299.UWP.Native (Windows 10 SDK (10.0.16299.0) for UWP: C++)
+# Microsoft.VisualStudio.Component.Windows10SDK.16299.Desktop.arm (Windows 10 SDK (10.0.16299.0) for Desktop C++ [ARM and ARM64])
+# Microsoft.VisualStudio.Component.Windows10SDK.17134 (Windows 10 SDK (10.0.17134.0))
+# Microsoft.VisualStudio.Component.Windows10SDK.17763 (Windows 10 SDK (10.0.17763.0))
-Download $url_cache $url_cache $msvcPackage
-Verify-Checksum $msvcPackage $sha1
-cmd /c "$msvcPackage --all --norestart --quiet --wait --add Microsoft.VisualStudio.Component.VC.Tools.ARM"
-echo "Cleaning $msvcPackage.."
-Remove-Item -Recurse -Force "$msvcPackage"
-echo "Visual Studio = $version" >> ~\versions.txt
+echo "Visual Studio = $version version version_number" >> ~\versions.txt
diff --git a/coin/provisioning/common/windows/msvc_2015_update3_patch.ps1 b/coin/pre-provisioning/qtci-windows-10-x86_64/msvc_2015_update3_patch.ps1
index bfbb397a..bfbb397a 100644
--- a/coin/provisioning/common/windows/msvc_2015_update3_patch.ps1
+++ b/coin/pre-provisioning/qtci-windows-10-x86_64/msvc_2015_update3_patch.ps1
diff --git a/coin/provisioning/common/linux/disable-ntp_linux.sh b/coin/provisioning/common/linux/disable-ntp_linux.sh
index b73e44a5..06d17be0 100755
--- a/coin/provisioning/common/linux/disable-ntp_linux.sh
+++ b/coin/provisioning/common/linux/disable-ntp_linux.sh
@@ -39,6 +39,8 @@ echo "Disable Network Time Protocol (NTP)"
if uname -a |grep -q "Ubuntu"; then
sudo timedatectl set-ntp false
+elif cat /etc/os-release | grep "PRETTY_NAME" | grep -q "Leap 15"; then
+ (sudo systemctl stop chronyd && sudo systemctl disable chronyd)
else
(systemctl &>/dev/null && sudo systemctl disable ntpd) || sudo /sbin/chkconfig ntpd off
fi
diff --git a/coin/provisioning/common/linux/docker.sh b/coin/provisioning/common/linux/docker.sh
index 16af0a0a..1d9e8419 100755
--- a/coin/provisioning/common/linux/docker.sh
+++ b/coin/provisioning/common/linux/docker.sh
@@ -2,7 +2,7 @@
#############################################################################
##
-## Copyright (C) 2017 The Qt Company Ltd.
+## Copyright (C) 2018 The Qt Company Ltd.
## Contact: http://www.qt.io/licensing/
##
## This file is part of the provisioning scripts of the Qt Toolkit.
@@ -48,5 +48,8 @@ sudo docker info
sudo curl -L https://github.com/docker/compose/releases/download/1.21.0/docker-compose-$(uname -s)-$(uname -m) -o /usr/local/bin/docker-compose
sudo chmod +x /usr/local/bin/docker-compose
+# Install Avahi to discover Docker containers in the test network
+sudo apt-get install avahi-daemon -y
+
# Start testserver provisioning
-source "${BASH_SOURCE%/*}/testserver/docker_testserver.sh"
+source "${BASH_SOURCE%/*}/docker_testserver.sh"
diff --git a/coin/provisioning/common/linux/testserver/docker_testserver.sh b/coin/provisioning/common/linux/docker_testserver.sh
index 2534c416..2d5d9611 100755
--- a/coin/provisioning/common/linux/testserver/docker_testserver.sh
+++ b/coin/provisioning/common/linux/docker_testserver.sh
@@ -2,7 +2,7 @@
#############################################################################
##
-## Copyright (C) 2017 The Qt Company Ltd.
+## Copyright (C) 2018 The Qt Company Ltd.
## Contact: http://www.qt.io/licensing/
##
## This file is part of the provisioning scripts of the Qt Toolkit.
@@ -35,35 +35,28 @@
set -ex
+case ${BASH_SOURCE[0]} in
+ */linux/*) SERVER_PATH="${BASH_SOURCE[0]%/linux/*}/shared/testserver" ;;
+ */*) SERVER_PATH="${BASH_SOURCE[0]%/*}/../shared/testserver" ;;
+ *) SERVER_PATH="../shared/testserver" ;;
+esac
+
+# testserver shared scripts
+source "$SERVER_PATH/testserver_util.sh"
+
# Using SHA-1 of each server context as the tag of docker images. A tag labels a
# specific image version. It is used by docker compose file (docker-compose.yml)
# to launch the corresponding docker containers. If one of the server contexts
# (./apache2, ./danted, ...) gets changes, all the related compose files in
# qtbase should be updated as well.
-#
-# For example, here's how to get the SHA-1 of apache test server.
-# find ./apache2 -type f -print0 | sort -z | xargs -r0 sha1sum | \
-# awk '{ print $1 }' | sha1sum | awk '{ print $1 }'
-testserver='apache2 squid vsftpd ftp-proxy danted'
+source "$SERVER_PATH/settings.sh"
for server in $testserver
do
- context="${BASH_SOURCE%/*}/$server"
- sha1=$(find $context -type f -print0 | sort -z | xargs -r0 sha1sum | awk '{ print $1 }' | \
- sha1sum | awk '{ print $1 }')
- sudo docker build -t qt-test-server-$server:$sha1 $context
-
- # transition - The fixed tag is temporarily used by CI to pass the qtbase testing.
- case $server in
- apache2) fixed_tag="cc9ea678b92bdda33acb9fa0159bb4ad0f3cd947" ;;
- squid) fixed_tag="577d99307eea9a8cccfec944d25be2bce2fe99cc" ;;
- vsftpd) fixed_tag="18896604c7e90b543e56d80c8a8aabdb65a590d0" ;;
- ftp-proxy) fixed_tag="2c6c8f1ab6a364b540c43d705fb6f15a585cb2af" ;;
- danted) fixed_tag="327dd56c3c35db85b26fac93213a5a1918475bc7" ;;
- esac
- [ -z "$fixed_tag" ] || \
- sudo docker tag qt-test-server-$server:$sha1 qt-test-server-$server:$fixed_tag
+ context="$SERVER_PATH/$server"
+ # Sort files by their SHA-1 and use the accumulated result as the TAG
+ sudo docker build -t qt-test-server-$server:$(sha1tree $context) $context
done
sudo docker images
diff --git a/coin/provisioning/common/linux/qnx_700.sh b/coin/provisioning/common/linux/qnx_700.sh
index 3c821fec..02cd57d3 100755
--- a/coin/provisioning/common/linux/qnx_700.sh
+++ b/coin/provisioning/common/linux/qnx_700.sh
@@ -41,8 +41,8 @@ set -ex
source "${BASH_SOURCE%/*}/../unix/SetEnvVar.sh"
targetFolder="/opt/"
-sourceFile="http://ci-files01-hki.intra.qt.io/input/qnx/qnx700-20180801-linux.tar.xz"
-sha1="5d2c8f531823b1f7a2e20968dc698c187c7de94c"
+sourceFile="http://ci-files01-hki.intra.qt.io/input/qnx/qnx700-20190325-linux.tar.xz"
+sha1="a278234bf38cc70ead98fc0a8d2e63070fb69621"
folderName="qnx700"
targetFile="qnx700.tar.xz"
wget --tries=5 --waitretry=5 --progress=dot:giga --output-document="$targetFile" "$sourceFile"
diff --git a/coin/provisioning/common/macos/python2.sh b/coin/provisioning/common/macos/python2.sh
index f4016f8d..4ab914de 100755
--- a/coin/provisioning/common/macos/python2.sh
+++ b/coin/provisioning/common/macos/python2.sh
@@ -42,9 +42,9 @@ source "${BASH_SOURCE%/*}/../unix/SetEnvVar.sh"
# shellcheck source=./pip.sh
source "${BASH_SOURCE%/*}/pip.sh"
-PrimaryUrl="http://ci-files01-hki.intra.qt.io/input/mac/python-2.7.14-macosx10.6.pkg"
-AltUrl="https://www.python.org/ftp/python/2.7.14/python-2.7.14-macosx10.6.pkg"
-SHA1="fa2bb77243ad0cb611aa3295204fab403bb0fa09"
+PrimaryUrl="http://ci-files01-hki.intra.qt.io/input/mac/python-2.7.16-macosx10.6.pkg"
+AltUrl="https://www.python.org/ftp/python/2.7.16/python-2.7.16-macosx10.6.pkg"
+SHA1="895a8327a58e7c0e58852638ab3d84843643535b"
DestDir="/"
InstallPKGFromURL "$PrimaryUrl" "$AltUrl" "$SHA1" "$DestDir"
@@ -55,5 +55,5 @@ InstallPip python2.7
SetEnvVar "PATH" "/Library/Frameworks/Python.framework/Versions/2.7/bin/:\$PATH"
-echo "python2 = 2.7.14" >> ~/versions.txt
+echo "python2 = 2.7.16" >> ~/versions.txt
diff --git a/coin/provisioning/common/linux/testserver/apache2/Dockerfile b/coin/provisioning/common/shared/testserver/apache2/Dockerfile
index b39eb21e..b39eb21e 100644
--- a/coin/provisioning/common/linux/testserver/apache2/Dockerfile
+++ b/coin/provisioning/common/shared/testserver/apache2/Dockerfile
diff --git a/coin/provisioning/common/linux/testserver/danted/Dockerfile b/coin/provisioning/common/shared/testserver/danted/Dockerfile
index 67c1159b..67c1159b 100644
--- a/coin/provisioning/common/linux/testserver/danted/Dockerfile
+++ b/coin/provisioning/common/shared/testserver/danted/Dockerfile
diff --git a/coin/provisioning/common/linux/testserver/danted/danted b/coin/provisioning/common/shared/testserver/danted/danted
index 1da8203e..1da8203e 100755
--- a/coin/provisioning/common/linux/testserver/danted/danted
+++ b/coin/provisioning/common/shared/testserver/danted/danted
diff --git a/coin/provisioning/common/linux/testserver/danted/danted-authenticating b/coin/provisioning/common/shared/testserver/danted/danted-authenticating
index 7aa35db6..7aa35db6 100755
--- a/coin/provisioning/common/linux/testserver/danted/danted-authenticating
+++ b/coin/provisioning/common/shared/testserver/danted/danted-authenticating
diff --git a/coin/provisioning/common/shared/testserver/docker_machine.sh b/coin/provisioning/common/shared/testserver/docker_machine.sh
new file mode 100755
index 00000000..601056a4
--- /dev/null
+++ b/coin/provisioning/common/shared/testserver/docker_machine.sh
@@ -0,0 +1,50 @@
+#!/usr/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2018 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+set -ex
+
+TestMachine='qt-test-server'
+
+# Deploy docker virtual machine (Boot2Docker) into VirtualBox only if it doesn't exist
+if [ -z $(docker-machine ls -q --filter "name=$TestMachine") ]
+then
+ docker-machine create -d virtualbox $TestMachine
+ docker-machine ip $TestMachine
+fi
+
+# Switch the docker engine to $TestMachine
+eval $(docker-machine env $TestMachine)
+
+docker-machine ls
diff --git a/coin/provisioning/common/linux/testserver/ftp-proxy/Dockerfile b/coin/provisioning/common/shared/testserver/ftp-proxy/Dockerfile
index c719c1eb..c719c1eb 100644
--- a/coin/provisioning/common/linux/testserver/ftp-proxy/Dockerfile
+++ b/coin/provisioning/common/shared/testserver/ftp-proxy/Dockerfile
diff --git a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/60-qnx660.sh b/coin/provisioning/common/shared/testserver/settings.sh
index 4034162e..041661f2 100755..100644
--- a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/60-qnx660.sh
+++ b/coin/provisioning/common/shared/testserver/settings.sh
@@ -1,5 +1,3 @@
-#!/bin/env bash
-
#############################################################################
##
## Copyright (C) 2018 The Qt Company Ltd.
@@ -35,5 +33,5 @@
set -ex
-# shellcheck source=../common/linux/qnx_660.sh
-source "${BASH_SOURCE%/*}/../common/linux/qnx_660.sh"
+# A list of test servers to be provisioned
+testserver='apache2 squid vsftpd ftp-proxy danted'
diff --git a/coin/provisioning/common/linux/testserver/squid/Dockerfile b/coin/provisioning/common/shared/testserver/squid/Dockerfile
index f0ed68b3..f0ed68b3 100644
--- a/coin/provisioning/common/linux/testserver/squid/Dockerfile
+++ b/coin/provisioning/common/shared/testserver/squid/Dockerfile
diff --git a/coin/provisioning/common/shared/testserver/testserver_util.sh b/coin/provisioning/common/shared/testserver/testserver_util.sh
new file mode 100644
index 00000000..c42fb5e0
--- /dev/null
+++ b/coin/provisioning/common/shared/testserver/testserver_util.sh
@@ -0,0 +1,41 @@
+#############################################################################
+##
+## Copyright (C) 2018 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+set -ex
+
+# Sort files by their SHA-1, and then return the accumulated result
+sha1tree () {
+ find "$@" -type f -print0 | \
+ xargs -0 shasum | cut -d ' ' -f 1 | \
+ sort | shasum | cut -d ' ' -f 1
+}
diff --git a/coin/provisioning/common/linux/testserver/vsftpd/Dockerfile b/coin/provisioning/common/shared/testserver/vsftpd/Dockerfile
index af6cd7c7..af6cd7c7 100644
--- a/coin/provisioning/common/linux/testserver/vsftpd/Dockerfile
+++ b/coin/provisioning/common/shared/testserver/vsftpd/Dockerfile
diff --git a/coin/provisioning/common/linux/emsdk.sh b/coin/provisioning/common/unix/emsdk.sh
index 55f5a8c9..17af067c 100755
--- a/coin/provisioning/common/linux/emsdk.sh
+++ b/coin/provisioning/common/unix/emsdk.sh
@@ -32,25 +32,41 @@
##
#############################################################################
-# shellcheck source=../unix/InstallFromCompressedFileFromURL.sh
-source "${BASH_SOURCE%/*}/../unix/InstallFromCompressedFileFromURL.sh"
-# shellcheck source=../unix/SetEnvVar.sh
-source "${BASH_SOURCE%/*}/../unix/SetEnvVar.sh"
-# shellcheck source=../unix/DownloadURL.sh
-source "${BASH_SOURCE%/*}/../unix/DownloadURL.sh"
+# shellcheck source=./InstallFromCompressedFileFromURL.sh
+source "${BASH_SOURCE%/*}/InstallFromCompressedFileFromURL.sh"
+# shellcheck source=./SetEnvVar.sh
+source "${BASH_SOURCE%/*}/SetEnvVar.sh"
+# shellcheck source=./DownloadURL.sh
+source "${BASH_SOURCE%/*}/DownloadURL.sh"
-version="1.38.16"
+version="1.38.27"
version_node="8.9.1"
-urlEmscriptenCache="http://ci-files01-hki.intra.qt.io/input/emsdk/emscripten-$version.tar.gz"
-urlEmscriptenExternal="https://github.com/kripken/emscripten/archive/$version.tar.gz"
-urlEmscriptenLlvmCache="http://ci-files01-hki.intra.qt.io/input/emsdk/emscripten-llvm-e$version.tar.gz"
-urlEmscriptenLlvmExternal="https://s3.amazonaws.com/mozilla-games/emscripten/packages/llvm/tag/linux_64bit/emscripten-llvm-e$version.tar.gz"
-urlNodeCache="http://ci-files01-hki.intra.qt.io/input/emsdk/node-v$version_node-linux-x64.tar.xz"
-urlNodeExternal="https://s3.amazonaws.com/mozilla-games/emscripten/packages/node-v$version_node-linux-x64.tar.xz"
-sha1Emscripten="353ad7bf614f73b73ed1d05aedd66321d679e03d"
-sha1EmscriptenLlvm="e132c26ad657c07f88cc550fd23f1d6f1b6c0673"
-sha1Node="eaec5de2af934f7ebc7f9597983e71c5d5a9a726"
+urlOfficial="https://s3.amazonaws.com/mozilla-games/emscripten/packages"
+urlCache="http://ci-files01-hki.intra.qt.io/input/emsdk"
targetFolder="/opt/emsdk"
+
+urlEmscriptenCache="$urlCache/emscripten-$version.tar.gz"
+urlEmscriptenExternal="https://github.com/kripken/emscripten/archive/$version.tar.gz"
+sha1Emscripten="ff9748a8f6b8eaa8192cce9fe2befc801443a161"
+
+if uname -a |grep -q Darwin; then
+ urlEmscriptenLlvmCache="$urlCache/macos/emscripten-llvm-e$version.tar.gz"
+ urlEmscriptenLlvmExternal="$urlOfficial/llvm/tag/osx_64bit/emscripten-llvm-e$version.tar.gz"
+ urlNodeCache="$urlCache/macos/node-v$version_node-darwin-x64.tar.gz"
+ urlNodeExternal="$urlOfficial/node-v$version_node-darwin-x64.tar.gz"
+ sha1EmscriptenLlvm="66dffbc44cfcb7bcb1ed0d2658b519276c3077fa"
+ sha1Node="b9ec6fe9701d385e385886a4b171ba02bb6aead7"
+ node_js="$targetFolder/node-v$version_node-darwin-x64/bin"
+else
+ urlEmscriptenLlvmCache="$urlCache/linux/emscripten-llvm-e$version.tar.gz"
+ urlEmscriptenLlvmExternal="$urlOfficial/llvm/tag/linux_64bit/emscripten-llvm-e$version.tar.gz"
+ urlNodeCache="$urlCache/linux/node-v$version_node-linux-x64.tar.xz"
+ urlNodeExternal="$urlOfficial/node-v$version_node-linux-x64.tar.xz"
+ sha1EmscriptenLlvm="8f5cd026c98cd40e53e6d11fbc32b116280ef9bb"
+ sha1Node="eaec5de2af934f7ebc7f9597983e71c5d5a9a726"
+ node_js="$targetFolder/node-v$version_node-linux-x64/bin"
+fi
+
sudo mkdir "$targetFolder"
InstallFromCompressedFileFromURL "$urlEmscriptenCache" "$urlEmscriptenExternal" "$sha1Emscripten" "$targetFolder" ""
@@ -64,7 +80,7 @@ cat <<EOM >"$targetFolder/.emscripten"
LLVM_ROOT='$targetFolder/emscripten-llvm-e$version/'
EMSCRIPTEN_NATIVE_OPTIMIZER='$targetFolder/emscripten-llvm-e$version/optimizer'
BINARYEN_ROOT='$targetFolder/emscripten-llvm-e$version/binaryen'
-NODE_JS='$targetFolder/node-v$version_node-linux-x64/bin/node'
+NODE_JS='$node_js/node'
EMSCRIPTEN_ROOT='$targetFolder/emscripten-$version'
SPIDERMONKEY_ENGINE = ''
V8_ENGINE = ''
@@ -73,7 +89,7 @@ COMPILER_ENGINE = NODE_JS
JS_ENGINES = [NODE_JS]
EOM
-SetEnvVar "PATH" "\"$targetFolder/emscripten-llvm-e$version/:$targetFolder/node-v$version_node-linux-x64/bin:$targetFolder/emscripten-$version:\$PATH\""
+SetEnvVar "PATH" "\"$targetFolder/emscripten-llvm-e$version/:$node_js:$targetFolder/emscripten-$version:\$PATH\""
SetEnvVar "EMSCRIPTEN" "$targetFolder/emscripten-$version"
SetEnvVar "EM_CONFIG" "$targetFolder/.emscripten"
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/09-install-openssl.sh b/coin/provisioning/common/windows/09-install-openssl.sh
index 4f1d3768..4f1d3768 100755
--- a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/09-install-openssl.sh
+++ b/coin/provisioning/common/windows/09-install-openssl.sh
diff --git a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86/50-openssl_for_android_linux.sh b/coin/provisioning/common/windows/50-openssl_for_android_linux.sh
index 81ea3b17..81ea3b17 100755
--- a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86/50-openssl_for_android_linux.sh
+++ b/coin/provisioning/common/windows/50-openssl_for_android_linux.sh
diff --git a/coin/provisioning/common/windows/disable-defragment.ps1 b/coin/provisioning/common/windows/disable-defragment.ps1
index 876938f8..e76f0649 100644
--- a/coin/provisioning/common/windows/disable-defragment.ps1
+++ b/coin/provisioning/common/windows/disable-defragment.ps1
@@ -1,6 +1,6 @@
#############################################################################
##
-## Copyright (C) 2018 The Qt Company Ltd.
+## Copyright (C) 2019 The Qt Company Ltd.
## Contact: http://www.qt.io/licensing/
##
## This file is part of the provisioning scripts of the Qt Toolkit.
@@ -31,4 +31,42 @@
##
#############################################################################
-schtasks /Delete /TN "\Microsoft\Windows\Defrag\ScheduledDefrag" /F
+# Windows 7 does not have Get-ScheduledTask and Unregister-ScheduledTask
+# thus needing its own version.
+Write-Host "Disabling defragmentation"
+$version = Get-CimInstance Win32_OperatingSystem | Select-Object -ExpandProperty Caption
+if ($version -like '*Windows 7*'){
+ $pi = New-Object System.Diagnostics.ProcessStartInfo
+ $pi.FileName = "C:\Windows\System32\schtasks.exe"
+ $pi.RedirectStandardError = $true
+ $pi.UseShellExecute = $false
+ $pi.Arguments = "/Delete /TN `"\Microsoft\Windows\Defrag\ScheduledDefrag`" /F"
+ $prog = New-Object System.Diagnostics.Process
+ $prog.StartInfo = $pi
+ $prog.Start() | Out-Null
+ $err = $prog.StandardError.ReadToEnd()
+ $prog.WaitForExit()
+ if ($prog.ExitCode -eq 0){
+ Write-Host "Scheduled defragmentation removed"
+ } else {
+ if ($err -like '*cannot find the file*'){
+ Write-Host "No scheduled defragmentation task found"
+ exit 0
+ } else {
+ Write-Host "Error while deleting scheduled defragmentation task: $err"
+ }
+ }
+}
+else {
+ try {
+ $state = (Get-ScheduledTask -ErrorAction Stop -TaskName "ScheduledDefrag").State
+ Write-Host "Scheduled defragmentation task found in state: $state"
+ }
+ catch {
+ Write-Host "No scheduled defragmentation task found"
+ exit 0
+ }
+ Write-Host "Unregistering scheduled defragmentation task"
+ Unregister-ScheduledTask -ErrorAction Stop -Confirm:$false -TaskName ScheduledDefrag
+ Write-Host "Scheduled Defragmentation task was cancelled"
+}
diff --git a/coin/provisioning/common/windows/emsdk.ps1 b/coin/provisioning/common/windows/emsdk.ps1
new file mode 100755
index 00000000..2ce2754f
--- /dev/null
+++ b/coin/provisioning/common/windows/emsdk.ps1
@@ -0,0 +1,121 @@
+############################################################################
+##
+## Copyright (C) 2019 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+############################################################################
+
+. "$PSScriptRoot\helpers.ps1"
+
+# This script will install emscripten needed by WebAssembly
+
+$version = "1.38.27"
+$versionNode = "8.9.1"
+$versionWinPython = "2.7.13"
+$versionJre = "8_update_152"
+
+$urlOfficialMozilla = "https://s3.amazonaws.com/mozilla-games/emscripten/packages"
+$urlCache = "http://ci-files01-hki.intra.qt.io/input/emsdk"
+
+$urlOfficialEmscriptenLlvm = "$urlOfficialMozilla/llvm/tag/win_64bit/emscripten-llvm-e$version.zip"
+$urlCacheEmscriptenLlvm = "$urlCache/windows/emscripten-llvm-e$version.zip"
+$sha1EmscriptenLlvm = "1cd950feec50f1f3265f04ab01fb270250eb4232"
+
+$urlOfficialNode = "$urlOfficialMozilla/node-v$versionNode-win-x64.zip"
+$urlCacheNode = "$urlCache/windows/node-v$versionNode-win-x64.zip"
+$sha1Node = "249c840f7b953e4cb7ac9db89aa92a98daa1dc63"
+
+$urlOfficialWinPython = "$urlOfficialMozilla/WinPython-64bit-$versionWinPython.1Zero.zip"
+$urlCacheWinPython = "$urlCache/windows/WinPython-64bit-$versionWinPython.1Zero.zip"
+$sha1WinPython = "7e5a021878e0165ba0603e995b013e244d6e10cb"
+
+$urlOfficialProtableJre = "$urlOfficialMozilla/portable_jre_${versionJre}_64bit.zip"
+$urlCacheProtableJre = "$urlCache/windows/portable_jre_${versionJre}_64bit.zip"
+$sha1ProtableJre = "6830524ec8b16742f956897abb6b6f5ef890a1c2"
+
+$urlOfficialEmscripten = "https://github.com/kripken/emscripten/archive/$version.zip"
+$urlCacheEmscripten = "$urlCache/windows/emscripten-$version.zip"
+$sha1Emscripten = "22d78a0af48b50271ab183fd3d8ea2f9ba311ee7"
+
+$installLocationEmsdk = "C:\\Utils\\emsdk"
+$temp = "C:\Windows\Temp"
+
+function Install {
+
+ Param (
+ [string] $urlOfficial = $(BadParam("Official url path")),
+ [string] $urlCache = $(BadParam("Cached url path")),
+ [string] $sha1 = $(BadParam("SHA1 checksum of the file")),
+ [string] $location = $(BadParam("Download location")),
+ [string] $installLocation = $(BadParam("Install location"))
+ )
+
+ Download $urlOfficial $urlCache $location
+ Verify-Checksum $location $sha1
+ Extract-7Zip $location $installLocation
+
+}
+
+New-Item -ItemType directory -Force -Path "$installLocationEmsdk"
+
+Install $urlOfficialEmscriptenLlvm $urlCacheEmscriptenLlvm $sha1EmscriptenLlvm "$temp\emscripten-llvm-e$version.zip" "$installLocationEmsdk\emscripten-llvm-e$version"
+Install $urlOfficialNode $urlCacheNode $sha1Node "$temp\node-v$versionNode-win-x64.zip" "$installLocationEmsdk"
+Install $urlOfficialWinPython $urlCacheWinPython $sha1WinPython "$temp\WinPython-64bit-$versionWinPython.1Zero.zip" "$installLocationEmsdk"
+Install $urlOfficialProtableJre $urlCacheProtableJre $sha1ProtableJre "$temp\portable_jre_$versionJre_64bit.zip" "$installLocationEmsdk"
+Install $urlOfficialEmscripten $urlCacheEmscripten $sha1Emscripten "$temp\emscripten-$version.zip" "$installLocationEmsdk"
+
+cd $installLocationEmsdk
+"LLVM_ROOT='$installLocationEmsdk\\emscripten-llvm-e$version'" | Out-File '.emscripten' -Encoding ASCII
+"EMSCRIPTEN_NATIVE_OPTIMIZER='$installLocationEmsdk\\emscripten-llvm-e$version\\optimizer'" | Out-File '.emscripten' -Append -Encoding ASCII
+"BINARYEN_ROOT='$installLocationEmsdk\\emscripten-llvm-e$version\\binaryen'" | Out-File '.emscripten' -Append -Encoding ASCII
+"NODE_JS='$installLocationEmsdk\\node-v$versionNode-win-x64\\bin\\node'" | Out-File '.emscripten' -Append -Encoding ASCII
+"EMSCRIPTEN_ROOT='$installLocationEmsdk\emscripten-$version'" | Out-File '.emscripten' -Append -Encoding ASCII
+"SPIDERMONKEY_ENGINE = ''" | Out-File '.emscripten' -Append -Encoding ASCII
+"V8_ENGINE = ''" | Out-File '.emscripten' -Append -Encoding ASCII
+"TEMP_DIR = '/tmp'" | Out-File '.emscripten' -Append -Encoding ASCII
+"COMPILER_ENGINE = NODE_JS" | Out-File '.emscripten' -Append -Encoding ASCII
+"JS_ENGINES = [NODE_JS]" | Out-File '.emscripten' -Append -Encoding ASCII
+
+Set-EnvironmentVariable "EMSDK" "$installLocationEmsdk"
+Set-EnvironmentVariable "EM_CONFIG" "$installLocationEmsdk\.emscripten"
+Set-EnvironmentVariable "EMSDK_LLVM_ROOT" "$installLocationEmsdk\emscripten-llvm-e$version"
+Set-EnvironmentVariable "EMSCRIPTEN_NATIVE_OPTIMIZER" "$installLocationEmsdk\emscripten-llvm-e$version\optimizer.exe"
+Set-EnvironmentVariable "BINARYEN_ROOT" "$installLocationEmsdk\emscripten-llvm-e$version\binaryen"
+Set-EnvironmentVariable "EMSDK_NODE" "$installLocationEmsdk\node$versionNode-win-x64\bin\node.exe"
+Set-EnvironmentVariable "EMSDK_PYTHON" "$installLocationEmsdk\WinPython-64bit-$versionWinPython.1Zero\python-$versionWinPython.amd64\python.exe"
+Set-EnvironmentVariable "EMSDK_JAVA_HOME" "$installLocationEmsdk\java64"
+Set-EnvironmentVariable "EMSCRIPTEN" "$installLocationEmsdk\emscripten-$version"
+Set-EnvironmentVariable "EMSCRIPTEN_ROOT" "$installLocationEmsdk\emscripten-$version"
+Set-EnvironmentVariable "EMSDK_PATH" "$installLocationEmsdk\emscripten-$version;$installLocationEmsdk;$installLocationEmsdk\node$versionNode-win-x64\bin;$installLocationEmsdk\emscripten-llvm-e$version;$installLocationEmsdk\WinPython-64bit-$versionWinPython.1Zero\python-$versionWinPython.amd64;$installLocationEmsdk\java64\bin"
+
+Write-Output "emsdk = $version" >> ~/versions.txt
+Write-Output "emsdk llvm = $version" >> ~/versions.txt
+Write-Output "emsdk NodeJs = $versionNode" >> ~/versions.txt
+Write-Output "emsdk WinPython 64bit = $versionWinPython" >> ~/versions.txt
+Write-Output "emsdk portable jre = $versionJre" >> ~/versions.txt
diff --git a/coin/provisioning/common/windows/install-msys2.ps1 b/coin/provisioning/common/windows/install-msys2.ps1
index e88c8f07..0c4a9680 100644
--- a/coin/provisioning/common/windows/install-msys2.ps1
+++ b/coin/provisioning/common/windows/install-msys2.ps1
@@ -33,6 +33,8 @@
. "$PSScriptRoot\helpers.ps1"
+# This script installs 7-Zip
+
$version = "20181211"
$prog = "msys2"
if (Is64BitWinHost) {
@@ -56,17 +58,13 @@ $TargetLocation = "C:\Utils"
Download $url_official $url_cache $PackagePath
Verify-Checksum $PackagePath $sha1
Extract-tar_gz $PackagePath $TargetLocation
-$bash = "$TargetLocation\$folder\usr\bin\bash"
+$msys = "$TargetLocation\$folder\msys2_shell.cmd"
# install perl
-Run-Executable "$bash" "`"-l`" `"-c`" `"rm -rf /etc/pacman.d/gnupg;pacman-key --init;pacman-key --populate msys2;pacman -S --noconfirm perl make`""
-Run-Executable "$bash" "`"-l`" `"-c`" `"yes | cpan -i Text::Template Test::More`""
+Run-Executable "$msys" "`"-l`" `"-c`" `"rm -rf /etc/pacman.d/gnupg;pacman-key --init;pacman-key --populate msys2;pacman -S --noconfirm perl make`""
+Run-Executable "$msys" "`"-l`" `"-c`" `"cpan -i Text::Template Test::More`""
Write-Host "Cleaning $PackagePath.."
Remove-Item -Recurse -Force -Path "$PackagePath"
-# pacman-key launches gpg-agent and dirmngr in the background, see https://github.com/Alexpux/MSYS2-pacman/issues/56
-Stop-Process -Name "gpg-agent" -ErrorAction Ignore
-Stop-Process -Name "dirmngr" -ErrorAction Ignore
-
-Write-Output "MSYS2 = $version" >> ~\versions.txt
+Write-Output "7-Zip = $version" >> ~\versions.txt
diff --git a/coin/provisioning/common/windows/msys.ps1 b/coin/provisioning/common/windows/msys.ps1
index df67cc20..f004bb49 100644
--- a/coin/provisioning/common/windows/msys.ps1
+++ b/coin/provisioning/common/windows/msys.ps1
@@ -12,5 +12,5 @@ $destination = "C:\msys"
Download $url $url $zip
Verify-Checksum $zip $sha1
C:\Utils\sevenzip\7z.exe x $zip -oC:\
-
+Set-EnvironmentVariable "MSYS_PATH" "$destination\\1.0\\bin"
Write-Output "Msys = $version" >> ~/versions.txt
diff --git a/coin/provisioning/common/windows/mysql.ps1 b/coin/provisioning/common/windows/mysql.ps1
index 29ce0ab4..8ed91402 100644
--- a/coin/provisioning/common/windows/mysql.ps1
+++ b/coin/provisioning/common/windows/mysql.ps1
@@ -1,6 +1,6 @@
#############################################################################
##
-## Copyright (C) 2017 The Qt Company Ltd.
+## Copyright (C) 2019 The Qt Company Ltd.
## Contact: http://www.qt.io/licensing/
##
## This file is part of the provisioning scripts of the Qt Toolkit.
@@ -36,7 +36,7 @@
# This script installs MySQL $version.
# Both x86 and x64 versions needed when x86 integrations are done on x64 machine
-$version = "5.6.11"
+$version = "5.7.25"
$baseNameX64 = "mysql-$version-winx64"
$packagex64 = "C:\Windows\temp\$baseNameX64.zip"
$baseNameX86 = "mysql-$version-win32"
diff --git a/coin/provisioning/common/windows/unset-proxy.ps1 b/coin/provisioning/common/windows/unset-proxy.ps1
index 9c3dddb3..0b7d761f 100644
--- a/coin/provisioning/common/windows/unset-proxy.ps1
+++ b/coin/provisioning/common/windows/unset-proxy.ps1
@@ -38,6 +38,11 @@ $dcs = (Get-ItemProperty -Path "HKCU:\Software\Microsoft\Windows\CurrentVersion\
$dcs[8] = $_ -band 0xF7
Set-ItemProperty -Path "HKCU:\Software\Microsoft\Windows\CurrentVersion\Internet Settings\Connections" -Name DefaultConnectionSettings -Value $dcs
Set-ItemProperty -Path "HKCU:\Software\Microsoft\Windows\CurrentVersion\Internet Settings" -Name ProxyEnable -Value 0
-Remove-ItemProperty -Path "HKCU:\Software\Microsoft\Windows\CurrentVersion\Internet Settings" -Name ProxyServer
-Remove-ItemProperty -Path "HKCU:\Software\Microsoft\Windows\CurrentVersion\Internet Settings" -Name ProxyOverride
+if(Get-ItemProperty -ErrorAction SilentlyContinue -Path "HKCU:\Software\Microsoft\Windows\CurrentVersion\Internet Settings" -Name ProxyServer){
+ Remove-ItemProperty -Path "HKCU:\Software\Microsoft\Windows\CurrentVersion\Internet Settings" -Name ProxyServer
+
+}
+if(Get-ItemProperty -ErrorAction SilentlyContinue -Path "HKCU:\Software\Microsoft\Windows\CurrentVersion\Internet Settings" -Name ProxyOverride){
+ Remove-ItemProperty -Path "HKCU:\Software\Microsoft\Windows\CurrentVersion\Internet Settings" -Name ProxyOverride
+}
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/01-disable-mlocate.sh b/coin/provisioning/qtci-linux-RHEL-7.6-x86_64/01-disable-mlocate.sh
index f12cff1e..f12cff1e 100755
--- a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/01-disable-mlocate.sh
+++ b/coin/provisioning/qtci-linux-RHEL-7.6-x86_64/01-disable-mlocate.sh
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/01-refresh-subscription-manager.sh b/coin/provisioning/qtci-linux-RHEL-7.6-x86_64/01-refresh-subscription-manager.sh
index 84238ebf..84238ebf 100755
--- a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/01-refresh-subscription-manager.sh
+++ b/coin/provisioning/qtci-linux-RHEL-7.6-x86_64/01-refresh-subscription-manager.sh
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/01-systemsetup.sh b/coin/provisioning/qtci-linux-RHEL-7.6-x86_64/01-systemsetup.sh
index c0f94a49..c0f94a49 100755
--- a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/01-systemsetup.sh
+++ b/coin/provisioning/qtci-linux-RHEL-7.6-x86_64/01-systemsetup.sh
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/02-enable-repos.sh b/coin/provisioning/qtci-linux-RHEL-7.6-x86_64/02-enable-repos.sh
index 548cb9ca..548cb9ca 100755
--- a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/02-enable-repos.sh
+++ b/coin/provisioning/qtci-linux-RHEL-7.6-x86_64/02-enable-repos.sh
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/03-install-devtoolset.sh b/coin/provisioning/qtci-linux-RHEL-7.6-x86_64/03-install-devtoolset.sh
index ebc7cac6..ebc7cac6 100755
--- a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/03-install-devtoolset.sh
+++ b/coin/provisioning/qtci-linux-RHEL-7.6-x86_64/03-install-devtoolset.sh
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/03-install-rhel-epel.sh b/coin/provisioning/qtci-linux-RHEL-7.6-x86_64/03-install-rhel-epel.sh
index 5cdf7df0..5cdf7df0 100755
--- a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/03-install-rhel-epel.sh
+++ b/coin/provisioning/qtci-linux-RHEL-7.6-x86_64/03-install-rhel-epel.sh
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/04-install-packages.sh b/coin/provisioning/qtci-linux-RHEL-7.6-x86_64/04-install-packages.sh
index b956d6a3..b956d6a3 100755
--- a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/04-install-packages.sh
+++ b/coin/provisioning/qtci-linux-RHEL-7.6-x86_64/04-install-packages.sh
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/04-p7zip.sh b/coin/provisioning/qtci-linux-RHEL-7.6-x86_64/04-p7zip.sh
index 45565766..45565766 100755
--- a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/04-p7zip.sh
+++ b/coin/provisioning/qtci-linux-RHEL-7.6-x86_64/04-p7zip.sh
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/05-libclang.sh b/coin/provisioning/qtci-linux-RHEL-7.6-x86_64/05-libclang.sh
index 7074cbc1..7074cbc1 100755
--- a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/05-libclang.sh
+++ b/coin/provisioning/qtci-linux-RHEL-7.6-x86_64/05-libclang.sh
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/06-cmake.sh b/coin/provisioning/qtci-linux-RHEL-7.6-x86_64/06-cmake.sh
index 062b2790..062b2790 100755
--- a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/06-cmake.sh
+++ b/coin/provisioning/qtci-linux-RHEL-7.6-x86_64/06-cmake.sh
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/07-qnx_700.sh b/coin/provisioning/qtci-linux-RHEL-7.6-x86_64/07-qnx_700.sh
index 92c741fb..92c741fb 100755
--- a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/07-qnx_700.sh
+++ b/coin/provisioning/qtci-linux-RHEL-7.6-x86_64/07-qnx_700.sh
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/08-integrity.sh b/coin/provisioning/qtci-linux-RHEL-7.6-x86_64/08-integrity.sh
index 154370da..154370da 100755
--- a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/08-integrity.sh
+++ b/coin/provisioning/qtci-linux-RHEL-7.6-x86_64/08-integrity.sh
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/09-disable_selinux.sh b/coin/provisioning/qtci-linux-RHEL-7.6-x86_64/09-disable_selinux.sh
index b7a53cd4..b7a53cd4 100755
--- a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/09-disable_selinux.sh
+++ b/coin/provisioning/qtci-linux-RHEL-7.6-x86_64/09-disable_selinux.sh
diff --git a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86/09-install-openssl.sh b/coin/provisioning/qtci-linux-RHEL-7.6-x86_64/09-install-openssl.sh
index 4f1d3768..4f1d3768 100755
--- a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86/09-install-openssl.sh
+++ b/coin/provisioning/qtci-linux-RHEL-7.6-x86_64/09-install-openssl.sh
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/22-mqtt_broker.sh b/coin/provisioning/qtci-linux-RHEL-7.6-x86_64/22-mqtt_broker.sh
index e677427f..e677427f 100755
--- a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/22-mqtt_broker.sh
+++ b/coin/provisioning/qtci-linux-RHEL-7.6-x86_64/22-mqtt_broker.sh
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/30-fbx.sh b/coin/provisioning/qtci-linux-RHEL-7.6-x86_64/30-fbx.sh
index d8df4375..d8df4375 100755
--- a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/30-fbx.sh
+++ b/coin/provisioning/qtci-linux-RHEL-7.6-x86_64/30-fbx.sh
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/30-install_icu.sh b/coin/provisioning/qtci-linux-RHEL-7.6-x86_64/30-install_icu.sh
index 7c4d46dd..7c4d46dd 100755
--- a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/30-install_icu.sh
+++ b/coin/provisioning/qtci-linux-RHEL-7.6-x86_64/30-install_icu.sh
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/35-install-breakpad.sh b/coin/provisioning/qtci-linux-RHEL-7.6-x86_64/35-install-breakpad.sh
index 74dd1579..74dd1579 100644..100755
--- a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/35-install-breakpad.sh
+++ b/coin/provisioning/qtci-linux-RHEL-7.6-x86_64/35-install-breakpad.sh
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/40-android_linux.sh b/coin/provisioning/qtci-linux-RHEL-7.6-x86_64/40-android_linux.sh
index a6c4dfff..a6c4dfff 100755
--- a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/40-android_linux.sh
+++ b/coin/provisioning/qtci-linux-RHEL-7.6-x86_64/40-android_linux.sh
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/50-openssl_for_android_linux.sh b/coin/provisioning/qtci-linux-RHEL-7.6-x86_64/50-openssl_for_android_linux.sh
index ef2b3ba8..ef2b3ba8 100755
--- a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/50-openssl_for_android_linux.sh
+++ b/coin/provisioning/qtci-linux-RHEL-7.6-x86_64/50-openssl_for_android_linux.sh
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/60-install_protobuff.sh b/coin/provisioning/qtci-linux-RHEL-7.6-x86_64/60-install_protobuff.sh
index a77938b3..a77938b3 100755
--- a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/60-install_protobuff.sh
+++ b/coin/provisioning/qtci-linux-RHEL-7.6-x86_64/60-install_protobuff.sh
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/90-squish.sh b/coin/provisioning/qtci-linux-RHEL-7.6-x86_64/90-squish.sh
index e4281588..e4281588 100755
--- a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/90-squish.sh
+++ b/coin/provisioning/qtci-linux-RHEL-7.6-x86_64/90-squish.sh
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/99-version.sh b/coin/provisioning/qtci-linux-RHEL-7.6-x86_64/99-version.sh
index 03565da2..03565da2 100755
--- a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/99-version.sh
+++ b/coin/provisioning/qtci-linux-RHEL-7.6-x86_64/99-version.sh
diff --git a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86/01-disable-cracklib.sh b/coin/provisioning/qtci-linux-Ubuntu-16.04-x86/01-disable-cracklib.sh
deleted file mode 100755
index 8590d4e4..00000000
--- a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86/01-disable-cracklib.sh
+++ /dev/null
@@ -1,4 +0,0 @@
-#!/usr/bin/env bash
-
-# shellcheck source=../common/linux/disable-cracklib.sh
-source "${BASH_SOURCE%/*}/../common/linux/disable-cracklib.sh"
diff --git a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86/01-disable-mlocate.sh b/coin/provisioning/qtci-linux-Ubuntu-16.04-x86/01-disable-mlocate.sh
deleted file mode 100755
index f12cff1e..00000000
--- a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86/01-disable-mlocate.sh
+++ /dev/null
@@ -1,4 +0,0 @@
-#!/usr/bin/env bash
-BASEDIR=$(dirname "$0")
-# shellcheck source=../common/linux/disable-mlocate.sh
-"$BASEDIR/../common/linux/disable-mlocate.sh"
diff --git a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86/01-remove_update-manager b/coin/provisioning/qtci-linux-Ubuntu-16.04-x86/01-remove_update-manager
deleted file mode 100755
index 12302976..00000000
--- a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86/01-remove_update-manager
+++ /dev/null
@@ -1,4 +0,0 @@
-#!/usr/bin/env bash
-
-# shellcheck source=../common/linux/remove_update-manager.sh
-source "${BASH_SOURCE%/*}/../common/linux/remove_update-manager.sh"
diff --git a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86/01-systemsetup.sh b/coin/provisioning/qtci-linux-Ubuntu-16.04-x86/01-systemsetup.sh
deleted file mode 100755
index ee6af148..00000000
--- a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86/01-systemsetup.sh
+++ /dev/null
@@ -1,59 +0,0 @@
-#!/usr/bin/env bash
-
-#############################################################################
-##
-## Copyright (C) 2017 The Qt Company Ltd.
-## Contact: http://www.qt.io/licensing/
-##
-## This file is part of the provisioning scripts of the Qt Toolkit.
-##
-## $QT_BEGIN_LICENSE:LGPL21$
-## Commercial License Usage
-## Licensees holding valid commercial Qt licenses may use this file in
-## accordance with the commercial license agreement provided with the
-## Software or, alternatively, in accordance with the terms contained in
-## a written agreement between you and The Qt Company. For licensing terms
-## and conditions see http://www.qt.io/terms-conditions. For further
-## information use the contact form at http://www.qt.io/contact-us.
-##
-## GNU Lesser General Public License Usage
-## Alternatively, this file may be used under the terms of the GNU Lesser
-## General Public License version 2.1 or version 3 as published by the Free
-## Software Foundation and appearing in the file LICENSE.LGPLv21 and
-## LICENSE.LGPLv3 included in the packaging of this file. Please review the
-## following information to ensure the GNU Lesser General Public License
-## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
-## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
-##
-## As a special exception, The Qt Company gives you certain additional
-## rights. These rights are described in The Qt Company LGPL Exception
-## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
-##
-## $QT_END_LICENSE$
-##
-#############################################################################
-
-# This script modifies system settings for automated use
-
-set -ex
-
-# shellcheck source=../common/unix/check_and_set_proxy.sh
-source "${BASH_SOURCE%/*}/../common/unix/check_and_set_proxy.sh"
-
-NTS_IP=10.212.2.216
-
-echo "Set timezone to UTC."
-sudo timedatectl set-timezone Etc/UTC
-echo "Timeout for blanking the screen (0 = never)"
-gsettings set org.gnome.desktop.session idle-delay 0
-echo "Prevents screen lock when screesaver goes active."
-gsettings set org.gnome.desktop.screensaver lock-enabled false
-echo "Disable questions on shutdown."
-gsettings set com.canonical.indicator.session suppress-logout-restart-shutdown true
-
-echo "Set Network Test Server address to $NTS_IP in /etc/hosts"
-echo "$NTS_IP qt-test-server qt-test-server.qt-test-net" | sudo tee -a /etc/hosts
-
-if [ "$proxy" != "" ]; then
- echo "Acquire::http::Proxy \"$proxy\";" | sudo tee -a /etc/apt/apt.conf
-fi
diff --git a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86/02-apt.sh b/coin/provisioning/qtci-linux-Ubuntu-16.04-x86/02-apt.sh
deleted file mode 100755
index bfbb6a8e..00000000
--- a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86/02-apt.sh
+++ /dev/null
@@ -1,55 +0,0 @@
-#!/usr/bin/env bash
-
-#############################################################################
-##
-## Copyright (C) 2017 The Qt Company Ltd.
-## Contact: http://www.qt.io/licensing/
-##
-## This file is part of the provisioning scripts of the Qt Toolkit.
-##
-## $QT_BEGIN_LICENSE:LGPL21$
-## Commercial License Usage
-## Licensees holding valid commercial Qt licenses may use this file in
-## accordance with the commercial license agreement provided with the
-## Software or, alternatively, in accordance with the terms contained in
-## a written agreement between you and The Qt Company. For licensing terms
-## and conditions see http://www.qt.io/terms-conditions. For further
-## information use the contact form at http://www.qt.io/contact-us.
-##
-## GNU Lesser General Public License Usage
-## Alternatively, this file may be used under the terms of the GNU Lesser
-## General Public License version 2.1 or version 3 as published by the Free
-## Software Foundation and appearing in the file LICENSE.LGPLv21 and
-## LICENSE.LGPLv3 included in the packaging of this file. Please review the
-## following information to ensure the GNU Lesser General Public License
-## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
-## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
-##
-## As a special exception, The Qt Company gives you certain additional
-## rights. These rights are described in The Qt Company LGPL Exception
-## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
-##
-## $QT_END_LICENSE$
-##
-#############################################################################
-
-# Install required packages with APT
-
-set -ex
-
-echo "Disabling auto update"
-sudo sed -i 's/APT::Periodic::Update-Package-Lists "1";/APT::Periodic::Update-Package-Lists "0";/' /etc/apt/apt.conf.d/10periodic
-for service in apt-daily.timer apt-daily-upgrade.timer apt-daily.service apt-daily-upgrade.service; do
- sudo systemctl stop $service
- sudo systemctl disable $service
-done
-
-installPackages+=(git)
-installPackages+=(p7zip-full)
-installPackages+=(expect)
-
-echo "Running update for apt"
-sudo apt-get update
-echo "Installing packages"
-sudo DEBIAN_FRONTEND=noninteractive apt-get -q -y install "${installPackages[@]}"
-
diff --git a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86/90-squish.sh b/coin/provisioning/qtci-linux-Ubuntu-16.04-x86/90-squish.sh
deleted file mode 100755
index 965112af..00000000
--- a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86/90-squish.sh
+++ /dev/null
@@ -1,3 +0,0 @@
-#!/usr/bin/env bash
-BASEDIR=$(dirname "$0")
-"$BASEDIR/../common/unix/squishInstall.sh"
diff --git a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/01-disable-cracklib.sh b/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/01-disable-cracklib.sh
deleted file mode 100755
index 8590d4e4..00000000
--- a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/01-disable-cracklib.sh
+++ /dev/null
@@ -1,4 +0,0 @@
-#!/usr/bin/env bash
-
-# shellcheck source=../common/linux/disable-cracklib.sh
-source "${BASH_SOURCE%/*}/../common/linux/disable-cracklib.sh"
diff --git a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/01-disable-mlocate.sh b/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/01-disable-mlocate.sh
deleted file mode 100755
index f12cff1e..00000000
--- a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/01-disable-mlocate.sh
+++ /dev/null
@@ -1,4 +0,0 @@
-#!/usr/bin/env bash
-BASEDIR=$(dirname "$0")
-# shellcheck source=../common/linux/disable-mlocate.sh
-"$BASEDIR/../common/linux/disable-mlocate.sh"
diff --git a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/01-remove_update-manager b/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/01-remove_update-manager
deleted file mode 100755
index 12302976..00000000
--- a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/01-remove_update-manager
+++ /dev/null
@@ -1,4 +0,0 @@
-#!/usr/bin/env bash
-
-# shellcheck source=../common/linux/remove_update-manager.sh
-source "${BASH_SOURCE%/*}/../common/linux/remove_update-manager.sh"
diff --git a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/01-systemsetup.sh b/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/01-systemsetup.sh
deleted file mode 100755
index b917d292..00000000
--- a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/01-systemsetup.sh
+++ /dev/null
@@ -1,65 +0,0 @@
-#!/usr/bin/env bash
-
-#############################################################################
-##
-## Copyright (C) 2017 The Qt Company Ltd.
-## Contact: http://www.qt.io/licensing/
-##
-## This file is part of the provisioning scripts of the Qt Toolkit.
-##
-## $QT_BEGIN_LICENSE:LGPL21$
-## Commercial License Usage
-## Licensees holding valid commercial Qt licenses may use this file in
-## accordance with the commercial license agreement provided with the
-## Software or, alternatively, in accordance with the terms contained in
-## a written agreement between you and The Qt Company. For licensing terms
-## and conditions see http://www.qt.io/terms-conditions. For further
-## information use the contact form at http://www.qt.io/contact-us.
-##
-## GNU Lesser General Public License Usage
-## Alternatively, this file may be used under the terms of the GNU Lesser
-## General Public License version 2.1 or version 3 as published by the Free
-## Software Foundation and appearing in the file LICENSE.LGPLv21 and
-## LICENSE.LGPLv3 included in the packaging of this file. Please review the
-## following information to ensure the GNU Lesser General Public License
-## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
-## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
-##
-## As a special exception, The Qt Company gives you certain additional
-## rights. These rights are described in The Qt Company LGPL Exception
-## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
-##
-## $QT_END_LICENSE$
-##
-#############################################################################
-
-# This script modifies system settings for automated use
-
-set -ex
-
-# shellcheck source=../common/unix/check_and_set_proxy.sh
-source "${BASH_SOURCE%/*}/../common/unix/check_and_set_proxy.sh"
-
-NTS_IP=10.212.2.216
-
-echo "Set timezone to UTC."
-sudo timedatectl set-timezone Etc/UTC
-echo "Timeout for blanking the screen (0 = never)"
-gsettings set org.gnome.desktop.session idle-delay 0
-echo "Prevents screen lock when screesaver goes active."
-gsettings set org.gnome.desktop.screensaver lock-enabled false
-echo "Disable questions on shutdown."
-gsettings set com.canonical.indicator.session suppress-logout-restart-shutdown true
-echo "Set grub timeout to 0"
-sudo sed -i 's|GRUB_TIMEOUT=10|GRUB_TIMEOUT=0|g' /etc/default/grub
-sudo update-grub
-
-echo "Set Network Test Server address to $NTS_IP in /etc/hosts"
-echo "$NTS_IP qt-test-server qt-test-server.qt-test-net" | sudo tee -a /etc/hosts
-
-if [ "$http_proxy" != "" ]; then
- echo "Acquire::http::Proxy \"$proxy\";" | sudo tee -a /etc/apt/apt.conf
-fi
-
-# This won't be needed for Ubuntu 17 and above, see QTBUG-67757.
-sudo sed -i '/-UnityDecoration-extents/c\ -UnityDecoration-extents: 0 0 0 0;' /usr/share/themes/Ambiance/gtk-3.0/apps/unity.css
diff --git a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/02-apt.sh b/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/02-apt.sh
deleted file mode 100755
index f2eb6e60..00000000
--- a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/02-apt.sh
+++ /dev/null
@@ -1,185 +0,0 @@
-#!/usr/bin/env bash
-
-#############################################################################
-##
-## Copyright (C) 2017 The Qt Company Ltd.
-## Contact: http://www.qt.io/licensing/
-##
-## This file is part of the provisioning scripts of the Qt Toolkit.
-##
-## $QT_BEGIN_LICENSE:LGPL21$
-## Commercial License Usage
-## Licensees holding valid commercial Qt licenses may use this file in
-## accordance with the commercial license agreement provided with the
-## Software or, alternatively, in accordance with the terms contained in
-## a written agreement between you and The Qt Company. For licensing terms
-## and conditions see http://www.qt.io/terms-conditions. For further
-## information use the contact form at http://www.qt.io/contact-us.
-##
-## GNU Lesser General Public License Usage
-## Alternatively, this file may be used under the terms of the GNU Lesser
-## General Public License version 2.1 or version 3 as published by the Free
-## Software Foundation and appearing in the file LICENSE.LGPLv21 and
-## LICENSE.LGPLv3 included in the packaging of this file. Please review the
-## following information to ensure the GNU Lesser General Public License
-## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
-## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
-##
-## As a special exception, The Qt Company gives you certain additional
-## rights. These rights are described in The Qt Company LGPL Exception
-## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
-##
-## $QT_END_LICENSE$
-##
-#############################################################################
-
-# Install required packages with APT
-
-set -ex
-
-echo "Disabling auto update"
-sudo sed -i 's/APT::Periodic::Update-Package-Lists "1";/APT::Periodic::Update-Package-Lists "0";/' /etc/apt/apt.conf.d/10periodic
-for service in apt-daily.timer apt-daily-upgrade.timer apt-daily.service apt-daily-upgrade.service; do
- sudo systemctl stop $service
- sudo systemctl disable $service
-done
-
-# aptdaemon is used by update notifiers and similar and there is no point in having those (the symptom is aptd holding a lock)
-for i in $(seq 10); do
- echo attempting to remove aptdaemon
- sudo DEBIAN_FRONTEND=noninteractive apt-get -q -y remove aptdaemon || true
- # check that aptdaemon is no longer installed
- which aptd > /dev/null || break
- if [[ $i -eq 10 ]]; then
- exit 1
- fi
- sleep 10
-done
-
-# Git is not needed by builds themselves, but is nice to have
-# immediately as one starts debugging
-installPackages+=(git)
-# 7zip is a needed decompressing tool
-installPackages+=(p7zip-full)
-# To be able to mount yocto-cache during builds
-installPackages+=(nfs-common)
-# libssl-dev provides headers for OpenSSL
-installPackages+=(libssl-dev)
-# Needed libraries for X11 support accordingly to https://wiki.qt.io/Building_Qt_5_from_Git
-installPackages+=("^libxcb.*")
-installPackages+=(libxkbcommon-dev)
-installPackages+=(libxkbcommon-x11-dev)
-installPackages+=(libx11-xcb-dev)
-installPackages+=(libglu1-mesa-dev)
-installPackages+=(libxrender-dev)
-installPackages+=(libxi-dev)
-# Enable linking to system dbus
-installPackages+=(libdbus-1-dev)
-# Needed libraries for WebEngine
-installPackages+=(libudev-dev)
-installPackages+=(libegl1-mesa-dev)
-installPackages+=(libfontconfig1-dev)
-installPackages+=(libxss-dev)
-# Common event loop handling
-installPackages+=(libglib2.0-dev)
-# MySQL support
-installPackages+=(libmysqlclient-dev)
-# PostgreSQL support
-installPackages+=(libpq-dev)
-# SQLite support
-installPackages+=(libsqlite3-dev)
-# ODBC support
-installPackages+=(unixodbc-dev)
-# Support for FreeType font engine
-installPackages+=(libfreetype6-dev)
-# Enable the usage of system jpeg libraries
-installPackages+=(libjpeg-dev)
-# Enable support for printer driver
-installPackages+=(libcups2-dev)
-# Install libraries needed for QtMultimedia to be able to support all plugins
-installPackages+=(libasound2-dev)
-installPackages+=(libgstreamer1.0-dev)
-installPackages+=(libgstreamer-plugins-base1.0-dev)
-installPackages+=(libgstreamer-plugins-good1.0-dev)
-installPackages+=(libgstreamer-plugins-bad1.0-dev)
-# Support for cross-building to x86 (needed by WebEngine boot2qt builds)
-installPackages+=(g++-multilib)
-# python2 development package
-installPackages+=(python-pip)
-# python3 development package
-installPackages+=(python3-dev)
-installPackages+=(python3-pip)
-installPackages+=(python3-virtualenv)
-installPackages+=(python3-wheel)
-# Needed to be able to build Yocto
-installPackages+=(chrpath)
-installPackages+=(gawk)
-installPackages+=(texinfo)
-# Automates interactive applications (Needed by RTA to automate configure testing)
-installPackages+=(expect)
-installPackages+=(mesa-common-dev)
-installPackages+=(libgl1-mesa-glx)
-installPackages+=(libgl1-mesa-dev)
-installPackages+=(libegl1-mesa-dev)
-installPackages+=(curl)
-installPackages+=(libicu-dev)
-installPackages+=(zlib1g-dev)
-installPackages+=(zlib1g)
-installPackages+=(zlib1g:i386)
-installPackages+=(openjdk-8-jdk)
-installPackages+=(libgtk-3-dev)
-installPackages+=(ninja-build)
-installPackages+=(libssl-dev)
-installPackages+=(libxcursor-dev)
-installPackages+=(libxcomposite-dev)
-installPackages+=(libxdamage-dev)
-installPackages+=(libxrandr-dev)
-installPackages+=(libfontconfig1-dev)
-installPackages+=(libxss-dev)
-installPackages+=(libsrtp0-dev)
-installPackages+=(libwebp-dev)
-installPackages+=(libjsoncpp-dev)
-installPackages+=(libopus-dev)
-installPackages+=(libminizip-dev)
-installPackages+=(libavutil-dev)
-installPackages+=(libavformat-dev)
-installPackages+=(libavcodec-dev)
-installPackages+=(libevent-dev)
-installPackages+=(bison)
-installPackages+=(flex)
-installPackages+=(gperf)
-installPackages+=(libasound2-dev)
-installPackages+=(libpulse-dev)
-installPackages+=(libxtst-dev)
-installPackages+=(libnspr4-dev)
-installPackages+=(libnss3-dev)
-installPackages+=(libopenal-dev)
-installPackages+=(libbluetooth-dev)
-#VirtualBox for RTA
-installPackages+=(virtualbox)
-installPackages+=(dkms)
-#Pypdf for QSR documentation
-installPackages+=(python-pypdf2)
-
-sudo tee "/etc/apt/sources.list" > /dev/null <<-EOC
-deb [arch=amd64] http://repo-clones.ci.qt.io/apt-mirror/mirror/ubuntu.trumpetti.atm.tut.fi/ubuntu/ xenial main restricted universe multiverse
-deb [arch=amd64] http://repo-clones.ci.qt.io/apt-mirror/mirror/ubuntu.trumpetti.atm.tut.fi/ubuntu/ xenial-updates main restricted universe multiverse
-deb [arch=amd64] http://repo-clones.ci.qt.io/apt-mirror/mirror/ubuntu.trumpetti.atm.tut.fi/ubuntu/ xenial-backports main restricted universe
-deb [arch=amd64] http://repo-clones.ci.qt.io/apt-mirror/mirror/ubuntu.trumpetti.atm.tut.fi/ubuntu/ xenial-security main restricted universe multiverse
-deb [arch=i386] http://repo-clones.ci.qt.io/apt-mirror/mirror/ubuntu.trumpetti.atm.tut.fi/ubuntu/ xenial main restricted universe multiverse
-deb [arch=i386] http://repo-clones.ci.qt.io/apt-mirror/mirror/ubuntu.trumpetti.atm.tut.fi/ubuntu/ xenial-updates main restricted universe multiverse
-deb [arch=i386] http://repo-clones.ci.qt.io/apt-mirror/mirror/ubuntu.trumpetti.atm.tut.fi/ubuntu/ xenial-backports main restricted universe
-deb [arch=i386] http://repo-clones.ci.qt.io/apt-mirror/mirror/ubuntu.trumpetti.atm.tut.fi/ubuntu/ xenial-security main restricted universe multiverse
-EOC
-
-echo "Running update for apt"
-sudo apt-get update
-echo "Installing packages"
-sudo DEBIAN_FRONTEND=noninteractive apt-get -q -y install "${installPackages[@]}"
-
-# Install all needed packages in a special wheel cache directory
-pip3 wheel --wheel-dir "$HOME/python3-wheels" -r "${BASH_SOURCE%/*}/../common/shared/requirements.txt"
-
-# shellcheck source=../common/unix/SetEnvVar.sh
-source "${BASH_SOURCE%/*}/../common/unix/SetEnvVar.sh"
-SetEnvVar "PYTHON3_WHEEL_CACHE" "$HOME/python3-wheels"
diff --git a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/02-disable-ntp.sh b/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/02-disable-ntp.sh
deleted file mode 100755
index 89806892..00000000
--- a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/02-disable-ntp.sh
+++ /dev/null
@@ -1,4 +0,0 @@
-#!/usr/bin/env bash
-
-# shellcheck source=../common/linux/disable-ntp_linux.sh
-source "${BASH_SOURCE%/*}/../common/linux/disable-ntp_linux.sh"
diff --git a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/04-libclang.sh b/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/04-libclang.sh
deleted file mode 100755
index 331a14d9..00000000
--- a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/04-libclang.sh
+++ /dev/null
@@ -1,5 +0,0 @@
-#!/usr/bin/env bash
-
-BASEDIR=$(dirname "$0")
-# shellcheck source=../common/unix/libclang.sh
-"$BASEDIR/../common/unix/libclang.sh"
diff --git a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/22-mqtt_broker.sh b/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/22-mqtt_broker.sh
deleted file mode 100755
index 96b197ea..00000000
--- a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/22-mqtt_broker.sh
+++ /dev/null
@@ -1,39 +0,0 @@
-#!/usr/bin/env bash
-
-#############################################################################
-##
-## Copyright (C) 2017 The Qt Company Ltd.
-## Contact: http://www.qt.io/licensing/
-##
-## This file is part of the provisioning scripts of the Qt Toolkit.
-##
-## $QT_BEGIN_LICENSE:LGPL21$
-## Commercial License Usage
-## Licensees holding valid commercial Qt licenses may use this file in
-## accordance with the commercial license agreement provided with the
-## Software or, alternatively, in accordance with the terms contained in
-## a written agreement between you and The Qt Company. For licensing terms
-## and conditions see http://www.qt.io/terms-conditions. For further
-## information use the contact form at http://www.qt.io/contact-us.
-##
-## GNU Lesser General Public License Usage
-## Alternatively, this file may be used under the terms of the GNU Lesser
-## General Public License version 2.1 or version 3 as published by the Free
-## Software Foundation and appearing in the file LICENSE.LGPLv21 and
-## LICENSE.LGPLv3 included in the packaging of this file. Please review the
-## following information to ensure the GNU Lesser General Public License
-## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
-## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
-##
-## As a special exception, The Qt Company gives you certain additional
-## rights. These rights are described in The Qt Company LGPL Exception
-## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
-##
-## $QT_END_LICENSE$
-##
-#############################################################################
-
-set -ex
-
-# shellcheck source=../common/unix/mqtt_broker.sh
-source "${BASH_SOURCE%/*}/../common/unix/mqtt_broker.sh"
diff --git a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/30-fbx.sh b/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/30-fbx.sh
deleted file mode 100755
index d8df4375..00000000
--- a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/30-fbx.sh
+++ /dev/null
@@ -1,6 +0,0 @@
-#!/usr/bin/env bash
-
-set -ex
-
-BASEDIR=$(dirname "$0")
-"$BASEDIR/../common/linux/fbx_linux.sh"
diff --git a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/35-install-breakpad.sh b/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/35-install-breakpad.sh
deleted file mode 100755
index 74dd1579..00000000
--- a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/35-install-breakpad.sh
+++ /dev/null
@@ -1,6 +0,0 @@
-#!/usr/bin/env bash
-
-set -ex
-
-# shellcheck source=../common/unix/install-breakpad.sh
-source "${BASH_SOURCE%/*}/../common/unix/install-breakpad.sh"
diff --git a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/40-android_linux.sh b/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/40-android_linux.sh
deleted file mode 100755
index 0527fe85..00000000
--- a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/40-android_linux.sh
+++ /dev/null
@@ -1,39 +0,0 @@
-#!/bin/bash
-
-#############################################################################
-##
-## Copyright (C) 2017 The Qt Company Ltd.
-## Contact: http://www.qt.io/licensing/
-##
-## This file is part of the provisioning scripts of the Qt Toolkit.
-##
-## $QT_BEGIN_LICENSE:LGPL21$
-## Commercial License Usage
-## Licensees holding valid commercial Qt licenses may use this file in
-## accordance with the commercial license agreement provided with the
-## Software or, alternatively, in accordance with the terms contained in
-## a written agreement between you and The Qt Company. For licensing terms
-## and conditions see http://www.qt.io/terms-conditions. For further
-## information use the contact form at http://www.qt.io/contact-us.
-##
-## GNU Lesser General Public License Usage
-## Alternatively, this file may be used under the terms of the GNU Lesser
-## General Public License version 2.1 or version 3 as published by the Free
-## Software Foundation and appearing in the file LICENSE.LGPLv21 and
-## LICENSE.LGPLv3 included in the packaging of this file. Please review the
-## following information to ensure the GNU Lesser General Public License
-## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
-## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
-##
-## As a special exception, The Qt Company gives you certain additional
-## rights. These rights are described in The Qt Company LGPL Exception
-## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
-##
-## $QT_END_LICENSE$
-##
-#############################################################################
-
-set -ex
-
-# shellcheck source=../common/linux/android_linux.sh
-source "${BASH_SOURCE%/*}/../common/linux/android_linux.sh"
diff --git a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/40-cmake.sh b/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/40-cmake.sh
deleted file mode 100755
index db8a3ff5..00000000
--- a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/40-cmake.sh
+++ /dev/null
@@ -1,5 +0,0 @@
-#!/bin/bash
-
-BASEDIR=$(dirname "$0")
-"$BASEDIR/../common/linux/cmake_linux.sh"
-
diff --git a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/50-openssl_for_android_linux.sh b/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/50-openssl_for_android_linux.sh
deleted file mode 100755
index 81ea3b17..00000000
--- a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/50-openssl_for_android_linux.sh
+++ /dev/null
@@ -1,39 +0,0 @@
-#!/bin/bash
-
-#############################################################################
-##
-## Copyright (C) 2017 The Qt Company Ltd.
-## Contact: http://www.qt.io/licensing/
-##
-## This file is part of the provisioning scripts of the Qt Toolkit.
-##
-## $QT_BEGIN_LICENSE:LGPL21$
-## Commercial License Usage
-## Licensees holding valid commercial Qt licenses may use this file in
-## accordance with the commercial license agreement provided with the
-## Software or, alternatively, in accordance with the terms contained in
-## a written agreement between you and The Qt Company. For licensing terms
-## and conditions see http://www.qt.io/terms-conditions. For further
-## information use the contact form at http://www.qt.io/contact-us.
-##
-## GNU Lesser General Public License Usage
-## Alternatively, this file may be used under the terms of the GNU Lesser
-## General Public License version 2.1 or version 3 as published by the Free
-## Software Foundation and appearing in the file LICENSE.LGPLv21 and
-## LICENSE.LGPLv3 included in the packaging of this file. Please review the
-## following information to ensure the GNU Lesser General Public License
-## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
-## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
-##
-## As a special exception, The Qt Company gives you certain additional
-## rights. These rights are described in The Qt Company LGPL Exception
-## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
-##
-## $QT_END_LICENSE$
-##
-#############################################################################
-
-set -ex
-
-# shellcheck source=../common/linux/openssl_for_android_linux.sh
-source "${BASH_SOURCE%/*}/../common/linux/openssl_for_android_linux.sh"
diff --git a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/70-qnx700.sh b/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/70-qnx700.sh
deleted file mode 100755
index a2d162d3..00000000
--- a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/70-qnx700.sh
+++ /dev/null
@@ -1,39 +0,0 @@
-#!/bin/env bash
-
-#############################################################################
-##
-## Copyright (C) 2017 The Qt Company Ltd.
-## Contact: http://www.qt.io/licensing/
-##
-## This file is part of the provisioning scripts of the Qt Toolkit.
-##
-## $QT_BEGIN_LICENSE:LGPL21$
-## Commercial License Usage
-## Licensees holding valid commercial Qt licenses may use this file in
-## accordance with the commercial license agreement provided with the
-## Software or, alternatively, in accordance with the terms contained in
-## a written agreement between you and The Qt Company. For licensing terms
-## and conditions see http://www.qt.io/terms-conditions. For further
-## information use the contact form at http://www.qt.io/contact-us.
-##
-## GNU Lesser General Public License Usage
-## Alternatively, this file may be used under the terms of the GNU Lesser
-## General Public License version 2.1 or version 3 as published by the Free
-## Software Foundation and appearing in the file LICENSE.LGPLv21 and
-## LICENSE.LGPLv3 included in the packaging of this file. Please review the
-## following information to ensure the GNU Lesser General Public License
-## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
-## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
-##
-## As a special exception, The Qt Company gives you certain additional
-## rights. These rights are described in The Qt Company LGPL Exception
-## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
-##
-## $QT_END_LICENSE$
-##
-#############################################################################
-
-set -ex
-
-# shellcheck source=../common/linux/qnx_700.sh
-source "${BASH_SOURCE%/*}/../common/linux/qnx_700.sh"
diff --git a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/80-docker.sh b/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/80-docker.sh
deleted file mode 100755
index 82c2c659..00000000
--- a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/80-docker.sh
+++ /dev/null
@@ -1,4 +0,0 @@
-#!/bin/bash
-
-BASEDIR=$(dirname "$0")
-"$BASEDIR/../common/linux/docker.sh"
diff --git a/coin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/02-apt.sh b/coin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/02-apt.sh
index d6c04d5b..280e6b45 100755
--- a/coin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/02-apt.sh
+++ b/coin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/02-apt.sh
@@ -97,6 +97,8 @@ installPackages+=(libfreetype6-dev)
installPackages+=(libjpeg-dev)
# Enable support for printer driver
installPackages+=(libcups2-dev)
+# Enable support for printer test
+installPackages+=(cups-pdf)
# Install libraries needed for QtMultimedia to be able to support all plugins
installPackages+=(libasound2-dev)
installPackages+=(libgstreamer1.0-dev)
@@ -159,6 +161,11 @@ installPackages+=(dkms)
installPackages+=(libspeechd-dev)
#Pypdf for PDF reading in RTA tests
installPackages+=(python-pypdf2)
+# Needed for b2qt
+installPackages+=(git-lfs)
+installPackages+=(chrpath)
+installPackages+=(gawk)
+installPackages+=(texinfo)
echo "Running update for apt"
waitLoop
diff --git a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/02-git_lfs.sh b/coin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/02-git_lfs.sh
index 7f5140fd..7f5140fd 100755
--- a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/02-git_lfs.sh
+++ b/coin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/02-git_lfs.sh
diff --git a/coin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/04-yocto.sh b/coin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/04-yocto.sh
index c9daf834..f43e8fd2 100755
--- a/coin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/04-yocto.sh
+++ b/coin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/04-yocto.sh
@@ -42,13 +42,13 @@ source "${BASH_SOURCE%/*}/../common/unix/DownloadURL.sh"
# shellcheck source=../common/unix/SetEnvVar.sh
source "${BASH_SOURCE%/*}/../common/unix/SetEnvVar.sh"
-echo "Installing Yocto toolchain for 32-bit b2qt..."
+echo "Installing Yocto toolchain for 32-bit b2qt ARMV7..."
-versionARM="2.3.4"
-package="b2qt-x86_64-meta-toolchain-b2qt-embedded-sdk-qemuarmv7-7608ebe.sh"
-PrimaryUrl="http://ci-files01-hki.intra.qt.io/input/boot2qt/pyro/$package"
-AltUrl="http://download.qt.io/development_releases/prebuilt/boot2qt/pyro/$package"
-SHA1="db7a0f4f9ddd5992a563d5348889021a7ceb1c56"
+versionARM="2.5.2"
+package="b2qt-x86_64-meta-toolchain-b2qt-embedded-sdk-qemuarmv7-409ebc3.sh"
+PrimaryUrl="http://ci-files01-hki.intra.qt.io/input/boot2qt/sumo/$package"
+AltUrl="http://download.qt.io/development_releases/prebuilt/boot2qt/sumo/$package"
+SHA1="a03b4eb492b16c6e60cf83c0718c27e9cfa6d522"
yoctoInstaller="/tmp/yocto-toolchain-ARMv7.sh"
yoctoLocationARMv7="/opt/yocto-armv7"
sysrootARMv7="sysroots/armv7ahf-neon-poky-linux-gnueabi"
@@ -60,13 +60,13 @@ chmod +x "$yoctoInstaller"
/bin/bash "$yoctoInstaller" -y -d "$yoctoLocationARMv7"
rm -rf "$yoctoInstaller"
-echo "Installing Yocto toolchain for 64-bit b2qt..."
+echo "Installing Yocto toolchain for 64-bit b2qt ARM64..."
-versionARM64="2.3.4"
-package="b2qt-x86_64-meta-toolchain-b2qt-embedded-sdk-qemuarm64-7608ebe.sh"
-PrimaryUrl="http://ci-files01-hki.intra.qt.io/input/boot2qt/pyro/$package"
-AltUrl="http://download.qt.io/development_releases/prebuilt/boot2qt/pyro/$package"
-SHA1="5dcae7c6cbc266798ba49a9e51fff1f06790729d"
+versionARM64="2.5.2"
+package="b2qt-x86_64-meta-toolchain-b2qt-embedded-sdk-qemuarm64-409ebc3.sh"
+PrimaryUrl="http://ci-files01-hki.intra.qt.io/input/boot2qt/sumo/$package"
+AltUrl="http://download.qt.io/development_releases/prebuilt/boot2qt/sumo/$package"
+SHA1="3dadf1135d00f7cb5586b605b1f7344ae828c9cd"
yoctoInstaller="/tmp/yocto-toolchain-ARM64.sh"
yoctoLocationARM64="/opt/yocto-arm64"
sysrootARM64="sysroots/aarch64-poky-linux"
@@ -78,11 +78,33 @@ chmod +x "$yoctoInstaller"
/bin/bash "$yoctoInstaller" -y -d "$yoctoLocationARM64"
rm -rf "$yoctoInstaller"
-if [ -e "$yoctoLocationARMv7/$sysrootARMv7" ] && [ -e "$yoctoLocationARMv7/${crosscompileARMv7}g++" ] && [ -e "$yoctoLocationARM64/$sysrootARM64" ] && [ -e "$yoctoLocationARM64/${crosscompileARM64}g++" ]; then
+echo "Installing Yocto toolchain for 64-bit b2qt MIPS64..."
+
+versionMIPS64="2.5.2"
+package="b2qt-x86_64-meta-toolchain-b2qt-embedded-sdk-qemumips64-409ebc3.sh"
+PrimaryUrl="http://ci-files01-hki.intra.qt.io/input/boot2qt/sumo/$package"
+AltUrl="http://download.qt.io/development_releases/prebuilt/boot2qt/sumo/$package"
+SHA1="dd03b496707ca8888b339a667e021722a8c2fdb4"
+yoctoInstaller="/tmp/yocto-toolchain-mips64.sh"
+yoctoLocationMIPS64="/opt/yocto-mips64"
+sysrootMIPS64="sysroots/mips64-poky-linux"
+crosscompileMIPS64="sysroots/x86_64-pokysdk-linux/usr/bin/mips64-poky-linux/mips64-poky-linux-"
+
+DownloadURL "$PrimaryUrl" "$AltUrl" "$SHA1" "$yoctoInstaller"
+chmod +x "$yoctoInstaller"
+
+/bin/bash "$yoctoInstaller" -y -d "$yoctoLocationMIPS64"
+rm -rf "$yoctoInstaller"
+
+
+
+if [ -e "$yoctoLocationARMv7/$sysrootARMv7" ] && [ -e "$yoctoLocationARMv7/${crosscompileARMv7}g++" ] && [ -e "$yoctoLocationARM64/$sysrootARM64" ] && [ -e "$yoctoLocationARM64/${crosscompileARM64}g++" ] && [ -e "$yoctoLocationMIPS64/$sysrootMIPS64" ] && [ -e "$yoctoLocationMIPS64/${crosscompileMIPS64}g++" ]; then
SetEnvVar "QEMUARMV7_TOOLCHAIN_SYSROOT" "$yoctoLocationARMv7/$sysrootARMv7"
SetEnvVar "QEMUARMV7_TOOLCHAIN_CROSS_COMPILE" "$yoctoLocationARMv7/$crosscompileARMv7"
SetEnvVar "QEMUARM64_TOOLCHAIN_SYSROOT" "$yoctoLocationARM64/$sysrootARM64"
SetEnvVar "QEMUARM64_TOOLCHAIN_CROSS_COMPILE" "$yoctoLocationARM64/$crosscompileARM64"
+ SetEnvVar "QEMUMIPS64_TOOLCHAIN_SYSROOT" "$yoctoLocationMIPS64/$sysrootMIPS64"
+ SetEnvVar "QEMUMIPS64_TOOLCHAIN_CROSS_COMPILE" "$yoctoLocationMIPS64/$crosscompileMIPS64"
else
echo "Error! Couldn't find installation paths for Yocto toolchain. Aborting provisioning." 1>&2
exit 1
@@ -90,6 +112,7 @@ fi
echo "Yocto ARMv7 toolchain = $versionARM" >> ~/versions.txt
echo "Yocto ARM64 toolchain = $versionARM64" >> ~/versions.txt
+echo "Yocto MIPS64 toolchain = $versionMIPS64" >> ~/versions.txt
# List qt user in qemu toolchain sysroots
sudo sh -c "grep ^qt /etc/passwd >> /opt/yocto-armv7/sysroots/armv7ahf-neon-poky-linux-gnueabi/etc/passwd"
diff --git a/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/01-systemsetup.sh b/coin/provisioning/qtci-linux-openSUSE-15.0-x86_64/01-systemsetup.sh
index 61c19510..7e6993a5 100755
--- a/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/01-systemsetup.sh
+++ b/coin/provisioning/qtci-linux-openSUSE-15.0-x86_64/01-systemsetup.sh
@@ -8,6 +8,9 @@ source "$BASEDIR/../common/shared/network_test_server_ip.txt"
# shellcheck source=../common/unix/check_and_set_proxy.sh
source "${BASH_SOURCE%/*}/../common/unix/check_and_set_proxy.sh"
+# https://bugzilla.opensuse.org/show_bug.cgi?id=1032027
+sudo btrfs quota disable /
+
sed -i '$ a\[Daemon\]\nAutolock=false\nLockOnResume=false' ~/.config/kscreenlockerrc
sudo sed -i 's|GRUB_TIMEOUT=8|GRUB_TIMEOUT=0|g' /etc/default/grub
@@ -33,4 +36,3 @@ if [ "$http_proxy" != "" ]; then
sudo sed -i 's/PROXY_ENABLED=\"no\"/PROXY_ENABLED=\"yes\"/' /etc/sysconfig/proxy
sudo sed -i "s|HTTP_PROXY=\".*\"|HTTP_PROXY=\"$proxy\"|" /etc/sysconfig/proxy
fi
-
diff --git a/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/02-disable-ntp.sh b/coin/provisioning/qtci-linux-openSUSE-15.0-x86_64/02-disable-ntp.sh
index 38707a8a..38707a8a 100755
--- a/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/02-disable-ntp.sh
+++ b/coin/provisioning/qtci-linux-openSUSE-15.0-x86_64/02-disable-ntp.sh
diff --git a/coin/provisioning/qtci-linux-openSUSE-15.0-x86_64/02-zypperpackages.sh b/coin/provisioning/qtci-linux-openSUSE-15.0-x86_64/02-zypperpackages.sh
new file mode 100755
index 00000000..d1f3050f
--- /dev/null
+++ b/coin/provisioning/qtci-linux-openSUSE-15.0-x86_64/02-zypperpackages.sh
@@ -0,0 +1,51 @@
+#!/usr/bin/env bash
+
+set -ex
+
+sudo zypper -nq install git gcc7 gcc7-c++
+sudo /usr/sbin/update-alternatives --install /usr/bin/gcc gcc /usr/bin/gcc-7 1 \
+ --slave /usr/bin/g++ g++ /usr/bin/g++-7 \
+ --slave /usr/bin/cc cc /usr/bin/gcc-7 \
+ --slave /usr/bin/c++ c++ /usr/bin/g++-7
+
+sudo zypper -nq install bison flex gperf \
+ zlib-devel \
+ libudev-devel \
+ glib2-devel \
+ libopenssl-devel \
+ freetype2-devel \
+ fontconfig-devel \
+ sqlite3-devel \
+ libxkbcommon-devel \
+ libxkbcommon-x11-devel
+
+# EGL support
+sudo zypper -nq install Mesa-libEGL-devel Mesa-libGL-devel
+
+
+# Xinput2
+sudo zypper -nq install libXi-devel
+
+# system provided XCB libraries
+sudo zypper -nq install xcb-util-devel xcb-util-image-devel xcb-util-keysyms-devel \
+ xcb-util-wm-devel xcb-util-renderutil-devel
+
+# ICU
+sudo zypper -nq install libicu-devel libicu60_2
+
+# qtwebengine
+sudo zypper -nq install alsa-devel dbus-1-devel \
+ libXcomposite-devel libXcursor-devel libXrandr-devel libXtst-devel \
+ mozilla-nspr-devel mozilla-nss-devel
+
+# qtwebkit
+sudo zypper -nq install libxml2-devel libxslt-devel
+
+# GStreamer (qtwebkit and qtmultimedia), pulseaudio (qtmultimedia)
+sudo zypper -nq install gstreamer-devel gstreamer-plugins-base-devel libpulse-devel
+
+# cups
+sudo zypper -nq install cups-devel
+
+#speech-dispatcher
+sudo zypper -nq install libspeechd-devel
diff --git a/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/08-libclang.sh b/coin/provisioning/qtci-linux-openSUSE-15.0-x86_64/08-libclang.sh
index bbe2b4b4..bbe2b4b4 100755
--- a/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/08-libclang.sh
+++ b/coin/provisioning/qtci-linux-openSUSE-15.0-x86_64/08-libclang.sh
diff --git a/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/08-pythondev.sh b/coin/provisioning/qtci-linux-openSUSE-15.0-x86_64/08-pythondev.sh
index 6c5d2a0f..6c5d2a0f 100755
--- a/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/08-pythondev.sh
+++ b/coin/provisioning/qtci-linux-openSUSE-15.0-x86_64/08-pythondev.sh
diff --git a/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/09-cmake.sh b/coin/provisioning/qtci-linux-openSUSE-15.0-x86_64/09-cmake.sh
index 5eb53566..5eb53566 100755
--- a/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/09-cmake.sh
+++ b/coin/provisioning/qtci-linux-openSUSE-15.0-x86_64/09-cmake.sh
diff --git a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/09-install-openssl.sh b/coin/provisioning/qtci-linux-openSUSE-15.0-x86_64/09-install-openssl.sh
index 4f1d3768..4f1d3768 100755
--- a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/09-install-openssl.sh
+++ b/coin/provisioning/qtci-linux-openSUSE-15.0-x86_64/09-install-openssl.sh
diff --git a/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/18-icc.sh b/coin/provisioning/qtci-linux-openSUSE-15.0-x86_64/18-icc.sh
index 7ab8528a..7ab8528a 100755
--- a/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/18-icc.sh
+++ b/coin/provisioning/qtci-linux-openSUSE-15.0-x86_64/18-icc.sh
diff --git a/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/22-mqtt_broker.sh b/coin/provisioning/qtci-linux-openSUSE-15.0-x86_64/22-mqtt_broker.sh
index e677427f..e677427f 100755
--- a/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/22-mqtt_broker.sh
+++ b/coin/provisioning/qtci-linux-openSUSE-15.0-x86_64/22-mqtt_broker.sh
diff --git a/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/55-emsdk.sh b/coin/provisioning/qtci-linux-openSUSE-15.0-x86_64/55-emsdk.sh
index 09a76778..44cf1b80 100755
--- a/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/55-emsdk.sh
+++ b/coin/provisioning/qtci-linux-openSUSE-15.0-x86_64/55-emsdk.sh
@@ -35,5 +35,5 @@
set -ex
-# shellcheck source=../common/linux/emsdk.sh
-source "${BASH_SOURCE%/*}/../common/linux/emsdk.sh"
+# shellcheck source=../common/unix/emsdk.sh
+source "${BASH_SOURCE%/*}/../common/unix/emsdk.sh"
diff --git a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/90-squish.sh b/coin/provisioning/qtci-linux-openSUSE-15.0-x86_64/90-squish.sh
index e4281588..e4281588 100755
--- a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/90-squish.sh
+++ b/coin/provisioning/qtci-linux-openSUSE-15.0-x86_64/90-squish.sh
diff --git a/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/99-unset-proxy.sh b/coin/provisioning/qtci-linux-openSUSE-15.0-x86_64/99-unset-proxy.sh
index 5ff78055..5ff78055 100755
--- a/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/99-unset-proxy.sh
+++ b/coin/provisioning/qtci-linux-openSUSE-15.0-x86_64/99-unset-proxy.sh
diff --git a/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/99-version.sh b/coin/provisioning/qtci-linux-openSUSE-15.0-x86_64/99-version.sh
index 03565da2..03565da2 100755
--- a/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/99-version.sh
+++ b/coin/provisioning/qtci-linux-openSUSE-15.0-x86_64/99-version.sh
diff --git a/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/02-zypperpackages.sh b/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/02-zypperpackages.sh
deleted file mode 100755
index 2fab85ac..00000000
--- a/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/02-zypperpackages.sh
+++ /dev/null
@@ -1,69 +0,0 @@
-#!/usr/bin/env bash
-
-set -ex
-
-sudo zypper -nq install git
-sudo zypper -nq install gcc7
-sudo zypper -nq install gcc7-c++
-sudo /usr/sbin/update-alternatives --install /usr/bin/gcc gcc /usr/bin/gcc-7 1 \
- --slave /usr/bin/g++ g++ /usr/bin/g++-7 \
- --slave /usr/bin/cc cc /usr/bin/gcc-7 \
- --slave /usr/bin/c++ c++ /usr/bin/g++-7
-
-sudo zypper -nq install bison
-sudo zypper -nq install flex
-sudo zypper -nq install gperf
-
-sudo zypper -nq install zlib-devel
-sudo zypper -nq install libudev-devel
-sudo zypper -nq install glib2-devel
-sudo zypper -nq install libopenssl-devel
-sudo zypper -nq install freetype2-devel
-sudo zypper -nq install fontconfig-devel
-sudo zypper -nq install sqlite3-devel
-
-# EGL support
-sudo zypper -nq install Mesa-libEGL-devel
-sudo zypper -nq install Mesa-libGL-devel
-
-# libxkbcommon
-sudo zypper -nq install libxkbcommon-devel
-sudo zypper -nq install libxkbcommon-x11-devel
-
-# Xinput2
-sudo zypper -nq install libXi-devel
-
-# system provided XCB libraries
-sudo zypper -nq install xcb-util-devel
-sudo zypper -nq install xcb-util-image-devel
-sudo zypper -nq install xcb-util-keysyms-devel
-sudo zypper -nq install xcb-util-wm-devel
-sudo zypper -nq install xcb-util-renderutil-devel
-
-# ICU
-sudo zypper -nq install libicu-devel
-sudo zypper -nq install libicu52_1
-
-# qtwebengine
-sudo zypper -nq install alsa-devel
-sudo zypper -nq install dbus-1-devel
-sudo zypper -nq install libXcomposite-devel
-sudo zypper -nq install libXcursor-devel
-sudo zypper -nq install libXrandr-devel
-sudo zypper -nq install libXtst-devel
-sudo zypper -nq install mozilla-nspr-devel
-sudo zypper -nq install mozilla-nss-devel
-
-# qtwebkit
-sudo zypper -nq install libxml2-devel
-sudo zypper -nq install libxslt-devel
-
-# GStreamer (qtwebkit and qtmultimedia)
-sudo zypper -nq install gstreamer-devel
-sudo zypper -nq install gstreamer-plugins-base-devel
-
-# pulseaudio (qtmultimedia)
-sudo zypper -nq install libpulse-devel
-
-# cups
-sudo zypper -nq install cups-devel
diff --git a/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/09-install-openssl.sh b/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/09-install-openssl.sh
deleted file mode 100755
index 4f1d3768..00000000
--- a/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/09-install-openssl.sh
+++ /dev/null
@@ -1,6 +0,0 @@
-#!/bin/bash
-
-set -ex
-
-# shellcheck source=../common/unix/install-openssl.sh
-source "${BASH_SOURCE%/*}/../common/unix/install-openssl.sh" "linux"
diff --git a/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/90-squish.sh b/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/90-squish.sh
deleted file mode 100755
index e4281588..00000000
--- a/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/90-squish.sh
+++ /dev/null
@@ -1,4 +0,0 @@
-#!/usr/bin/env bash
-BASEDIR=$(dirname "$0")
-"$BASEDIR/../common/unix/squishInstall.sh"
-
diff --git a/coin/provisioning/qtci-macos-10.13-x86_64/36-emsdk.sh b/coin/provisioning/qtci-macos-10.13-x86_64/36-emsdk.sh
new file mode 100644
index 00000000..7396d336
--- /dev/null
+++ b/coin/provisioning/qtci-macos-10.13-x86_64/36-emsdk.sh
@@ -0,0 +1,6 @@
+#!/usr/bin/env bash
+
+set -ex
+
+# shellcheck source=../common/unix/emsdk.sh
+source "${BASH_SOURCE%/*}/../common/unix/emsdk.sh"
diff --git a/coin/provisioning/qtci-macos-10.13-x86_64/40-qnx700.sh b/coin/provisioning/qtci-macos-10.13-x86_64/40-qnx700.sh
index a5547972..d2905e9d 100755
--- a/coin/provisioning/qtci-macos-10.13-x86_64/40-qnx700.sh
+++ b/coin/provisioning/qtci-macos-10.13-x86_64/40-qnx700.sh
@@ -36,13 +36,13 @@
# This script installs QNX 7.
targetFolder="/opt/"
-sourceFile="/net/ci-files01-hki.intra.qt.io/hdd/www/input/qnx/qnx700_mac.zip"
+sourceFile="/net/ci-files01-hki.intra.qt.io/hdd/www/input/qnx/qnx700-20190325-macos.tar.xz"
folderName="qnx700"
sudo mkdir -p "$targetFolder"
echo "Extracting QNX 7"
-sudo unzip -q "$sourceFile" -d "$targetFolder"
+sudo tar -C "$targetFolder" -Jxf $sourceFile
sudo chown -R qt:wheel "$targetFolder"/"$folderName"
diff --git a/coin/provisioning/qtci-windows-10-x86/04-disable-windefender.ps1 b/coin/provisioning/qtci-windows-10-x86/01-disable-windefender.ps1
index 8f94b3d5..8f94b3d5 100644
--- a/coin/provisioning/qtci-windows-10-x86/04-disable-windefender.ps1
+++ b/coin/provisioning/qtci-windows-10-x86/01-disable-windefender.ps1
diff --git a/coin/provisioning/qtci-windows-10-x86/04-disable-windows-updates.ps1 b/coin/provisioning/qtci-windows-10-x86/01-disable-windows-updates.ps1
index 57428310..57428310 100644
--- a/coin/provisioning/qtci-windows-10-x86/04-disable-windows-updates.ps1
+++ b/coin/provisioning/qtci-windows-10-x86/01-disable-windows-updates.ps1
diff --git a/coin/provisioning/qtci-windows-10-x86_64/01-remove-ms-zune.ps1 b/coin/provisioning/qtci-windows-10-x86_64/01-remove-ms-zune.ps1
deleted file mode 100644
index 6a398725..00000000
--- a/coin/provisioning/qtci-windows-10-x86_64/01-remove-ms-zune.ps1
+++ /dev/null
@@ -1,2 +0,0 @@
-Remove-AppxPackage Microsoft.ZuneVideo_10.17092.13511.0_x64__8wekyb3d8bbwe
-Remove-AppxPackage Microsoft.ZuneMusic_10.17083.18321.0_x64__8wekyb3d8bbwe
diff --git a/coin/provisioning/qtci-windows-10-x86_64/04-disable-windows-updates.ps1 b/coin/provisioning/qtci-windows-10-x86_64/02-disable-windows-updates.ps1
index 57428310..57428310 100644
--- a/coin/provisioning/qtci-windows-10-x86_64/04-disable-windows-updates.ps1
+++ b/coin/provisioning/qtci-windows-10-x86_64/02-disable-windows-updates.ps1
diff --git a/coin/provisioning/qtci-windows-10-x86_64/05-msvc.ps1 b/coin/provisioning/qtci-windows-10-x86_64/05-msvc.ps1
index d019fc92..72ac1ca7 100644
--- a/coin/provisioning/qtci-windows-10-x86_64/05-msvc.ps1
+++ b/coin/provisioning/qtci-windows-10-x86_64/05-msvc.ps1
@@ -34,10 +34,10 @@
# Visual Studios are pre-provisioned to tier1 images
# MSVC 2015 Update 3
-Write-Output "Visual Studio 2015 = Version 14.0.25421.3 Update 3" >> ~\versions.txt
+Write-Output "Visual Studio 2015 = Version 14.0.25431.01 Update 3" >> ~\versions.txt
# MSVC 2017
-Write-Output "Visual Studio 2017 = Version 15.1 (26403.7)" >> ~\versions.txt
+Write-Output "Visual Studio 2017 = Version 15.8.5" >> ~\versions.txt
# MSVC 2017 Build Tools
Write-Output "Visual Studio 2017 Build Tools = Version 15.1 (26403.7)" >> ~\versions.txt
diff --git a/coin/provisioning/qtci-windows-10-x86_64/05-qnx_700.ps1 b/coin/provisioning/qtci-windows-10-x86_64/05-qnx_700.ps1
index 74c8dc6b..b7a5230c 100644
--- a/coin/provisioning/qtci-windows-10-x86_64/05-qnx_700.ps1
+++ b/coin/provisioning/qtci-windows-10-x86_64/05-qnx_700.ps1
@@ -36,10 +36,10 @@
# This script installs QNX SDP 7.0
$zip = Get-DownloadLocation "qnx700.7z"
-$url = "http://ci-files01-hki.intra.qt.io/input/windows/qnx700-20180801-windows.7z"
+$url = "http://ci-files01-hki.intra.qt.io/input/qnx/qnx700-20190325-windows.7z"
Download $url $url $zip
-Verify-Checksum $zip "E281897C957B5FAB249BABB2DEB77EEBB9BA75E6"
+Verify-Checksum $zip "59c681466ff78f64b98b16a95b0b44650a729dfd"
Extract-7Zip $zip C:\
Set-EnvironmentVariable "QNX_700" "C:\QNX700"
diff --git a/coin/provisioning/qtci-windows-10-x86_64/10-msvc_2015_update3_patch.ps1 b/coin/provisioning/qtci-windows-10-x86_64/10-msvc_2015_update3_patch.ps1
deleted file mode 100644
index fe1aec7d..00000000
--- a/coin/provisioning/qtci-windows-10-x86_64/10-msvc_2015_update3_patch.ps1
+++ /dev/null
@@ -1,34 +0,0 @@
-#############################################################################
-##
-## Copyright (C) 2017 The Qt Company Ltd.
-## Contact: http://www.qt.io/licensing/
-##
-## This file is part of the provisioning scripts of the Qt Toolkit.
-##
-## $QT_BEGIN_LICENSE:LGPL21$
-## Commercial License Usage
-## Licensees holding valid commercial Qt licenses may use this file in
-## accordance with the commercial license agreement provided with the
-## Software or, alternatively, in accordance with the terms contained in
-## a written agreement between you and The Qt Company. For licensing terms
-## and conditions see http://www.qt.io/terms-conditions. For further
-## information use the contact form at http://www.qt.io/contact-us.
-##
-## GNU Lesser General Public License Usage
-## Alternatively, this file may be used under the terms of the GNU Lesser
-## General Public License version 2.1 or version 3 as published by the Free
-## Software Foundation and appearing in the file LICENSE.LGPLv21 and
-## LICENSE.LGPLv3 included in the packaging of this file. Please review the
-## following information to ensure the GNU Lesser General Public License
-## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
-## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
-##
-## As a special exception, The Qt Company gives you certain additional
-## rights. These rights are described in The Qt Company LGPL Exception
-## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
-##
-## $QT_END_LICENSE$
-##
-#############################################################################
-. "$PSScriptRoot\..\common\windows\msvc_2015_update3_patch.ps1"
-
diff --git a/coin/provisioning/qtci-windows-10-x86_64/80-emsdk.ps1 b/coin/provisioning/qtci-windows-10-x86_64/80-emsdk.ps1
new file mode 100755
index 00000000..b72470a2
--- /dev/null
+++ b/coin/provisioning/qtci-windows-10-x86_64/80-emsdk.ps1
@@ -0,0 +1,2 @@
+. "$PSScriptRoot\..\common\windows\emsdk.ps1"
+
diff --git a/qt3d b/qt3d
-Subproject 309c3139f8111ea246dd3a1f996578d0b35bb15
+Subproject 64e10caaa1c261167fd98f91ce87cbefd11782c
diff --git a/qtactiveqt b/qtactiveqt
-Subproject 62a802cbccc18330b010d7197a739d35ba9ae3c
+Subproject 6746b4c3736eb08721e68f3a051bf27b699487f
diff --git a/qtandroidextras b/qtandroidextras
-Subproject a50f613a37acf32886ab94c0be780c1f25493d5
+Subproject c158f8d5179957084fd7ec1c2f97086b45604f5
diff --git a/qtbase b/qtbase
-Subproject 3d7bd7ad19254bb1c4794349e71501e58c91891
+Subproject 4d7271087e84096abd75fa806bea234daee0cd9
diff --git a/qtcanvas3d b/qtcanvas3d
-Subproject 73d5bba61d4a57dfce92da8c8c4dbda311af977
+Subproject 1319e0965f6008f44f9216a7bb76e106a171076
diff --git a/qtcharts b/qtcharts
-Subproject 8b79dba3fd204ca4161ec7e7293cb95d698ce9d
+Subproject a9c48f8ea7fd8634263124a742e23bc992fd855
diff --git a/qtconnectivity b/qtconnectivity
-Subproject c9d585da2ddd49108d7b56f480bcfc9d71b67db
+Subproject 96dd4e7ff0b10ac79798f1ae63db716bcc199e8
diff --git a/qtdatavis3d b/qtdatavis3d
-Subproject 54a0844f5c9c8ec54fcd740b8b99b05fe453281
+Subproject 3206729aa704d9c7cdfaa734f177334d5c11ae7
diff --git a/qtdeclarative b/qtdeclarative
-Subproject dfc6dc1d94a729f701172861a196b4b34bcd751
+Subproject aeec2f94c376c9a0e84bbbb3be4652384c7da11
diff --git a/qtdoc b/qtdoc
-Subproject 8c6b31353174e5f95cbc43c0ab51c8b0085b266
+Subproject d6a01d04f77f15e2847875b37412eb2814d723f
diff --git a/qtgamepad b/qtgamepad
-Subproject 656f3c134c0cf00743deba3dfaaff7cb5bd1790
+Subproject 027a1dfd3eca382dab3f3f17e7f43ccb84e329b
diff --git a/qtgraphicaleffects b/qtgraphicaleffects
-Subproject f9664053132affe48a069235eb6561a32d38b2a
+Subproject 3b3b3f85ddd472bdae168f210e62dc2868997aa
diff --git a/qtimageformats b/qtimageformats
-Subproject 9100cc7ab04586890fb8f1924b0e06ad3efa7d3
+Subproject adc70a5244a8a7c3d554cbcfc3f38f839697490
diff --git a/qtlocation b/qtlocation
-Subproject 63cd689a400ee57f7e898e81290366c26653798
+Subproject 46ae4e4db687b8a12e639d9b248546652b680c0
diff --git a/qtlottie b/qtlottie
new file mode 160000
+Subproject 4c3207a7385a3ba402884bb50136bbe7b70baa2
diff --git a/qtmacextras b/qtmacextras
-Subproject 3247a8f30ef1aa26fefc5d8b8f81f35567bf007
+Subproject f44061fa0547d048661d1efa8444da7c757fa39
diff --git a/qtmultimedia b/qtmultimedia
-Subproject d9dd7f4896cbc0fe1dc37e517c28315419e6ffc
+Subproject dbdcc1b099dc25ffb707a2441191463de33c51f
diff --git a/qtnetworkauth b/qtnetworkauth
-Subproject ee681478c4b05ab6640c0318ed4fa25d62c6f35
+Subproject c2bf9b420f29e4b001d6f85b918be5fb89c8756
diff --git a/qtpurchasing b/qtpurchasing
-Subproject 6df36bebdcb0a12069b0cabfed797ebc719b587
+Subproject a0f911a29eb055de1e9dc2d3e78a1f03ccead5d
diff --git a/qtqa b/qtqa
-Subproject cacf06752406afffbd358b75fb0f232f4fa613c
+Subproject da16b930f44d59cefc736b5439b73e1aaa19700
diff --git a/qtquickcontrols b/qtquickcontrols
-Subproject 4e156bb26fb904663b0e13df1802dc2e0788b11
+Subproject b1f360c0b0f42b4536cb0bcecd06e76052ec77e
diff --git a/qtquickcontrols2 b/qtquickcontrols2
-Subproject da06da57002b64cf4bcde0ca708b3275a5f919a
+Subproject 7c2ec7dc49799fffb2ed48a3a5afe2d8561ce3e
diff --git a/qtremoteobjects b/qtremoteobjects
-Subproject 2bcda9d9f45858ac196d9972162c870ac0a6f21
+Subproject 6ccba37dedcb37507fd1ab3c72e576c0b005e57
diff --git a/qtscript b/qtscript
-Subproject efbc554c260f15b5c6dc23759eff96c106997a5
+Subproject 912346548c774cdcc4383cc30e06f106dbf77a9
diff --git a/qtscxml b/qtscxml
-Subproject db44c53e73479ee8ea98f911078b387735906f3
+Subproject 1323d465b4698296533cf6c73ea5ace65dd0ce9
diff --git a/qtsensors b/qtsensors
-Subproject 70c2dd24800527908e92fb0ce181b939dbd6141
+Subproject 6390e165dc2df3bc48c3655ed45d1b952d1f2ba
diff --git a/qtserialbus b/qtserialbus
-Subproject 4fb3e302a30c675b3d515d6eb5dd08301727d4c
+Subproject 5d82bf36c526d55951127c95d8c0aa5abc2e199
diff --git a/qtserialport b/qtserialport
-Subproject 9509b6d3ee02c3c4a0b98dc95bc9787a3c514a1
+Subproject 335f1d02dc134bf11277c0573553c7c838cc6a9
diff --git a/qtspeech b/qtspeech
-Subproject 1c004cd1f5c746a00c818bb6621100e82c110de
+Subproject aa450db462db5fca847ed05c1e05c1779161cc8
diff --git a/qtsvg b/qtsvg
-Subproject 347de1dd25366015e3fbbc39ccd1a16ecb18eb2
+Subproject 1bdd9b7bbc6d2ca83095c2f9a376ef6867674ca
diff --git a/qttools b/qttools
-Subproject a690022b7e56b2e36a95ef22b854af4c82c5fdc
+Subproject b05d6b04e0527953983cc0451015efa27fa5858
diff --git a/qttranslations b/qttranslations
-Subproject 00556e09790b83b3a2a83020b900e07829eaa0a
+Subproject 55b11294296a7bbc3a3bdfe9d2f5b381abf01d9
diff --git a/qtvirtualkeyboard b/qtvirtualkeyboard
-Subproject a826da7d9bee9bd96c84ceaba5f102f66fc538c
+Subproject 6143eec2525af08e6aab895bcf64c2745a427f1
diff --git a/qtwayland b/qtwayland
-Subproject 5ca9f28f4b272d3265b97c16029071a0070195a
+Subproject f4636b934f90b2a07b09f1925a86440cf1944d0
diff --git a/qtwebchannel b/qtwebchannel
-Subproject 8a610433fa26c2601d669b45e903566287923be
+Subproject c5d4f9b1a653a242b6231cbdea8ccfc751180be
diff --git a/qtwebengine b/qtwebengine
-Subproject c3c37b4e93a26748497bec1a0dc29b835840815
+Subproject 50dc091b5ddca2fb1c80e398d2ab360a5ec5e76
diff --git a/qtwebglplugin b/qtwebglplugin
-Subproject ae907e4c0aa5ae78435138f86a7bd888ef0e1e9
+Subproject 95957bbecc40e5efb163ab123c2a7d8d04005be
diff --git a/qtwebsockets b/qtwebsockets
-Subproject dcf08a4c702f90cc092629078de48a0ad0d6856
+Subproject 0634c8104558dbb7acd314d52cf4b039c8c3689
diff --git a/qtwebview b/qtwebview
-Subproject de7e4c93c0f17e4608abad31bf7cba06b8fc2e1
+Subproject 5c80bba07d09f498027586a32b0f937d26cca1d
diff --git a/qtwinextras b/qtwinextras
-Subproject 3fc1164ee5464a317ac4daccc4edca09e4cae63
+Subproject da9ce653ee04b9b93cfa95d4d7071d0153286c7
diff --git a/qtx11extras b/qtx11extras
-Subproject 10cc8dece051ec715a0db5c48ebcecebfe9d6c6
+Subproject d6090610969cd7f2f5554e6239b0e35f8755196
diff --git a/qtxmlpatterns b/qtxmlpatterns
-Subproject 1fe82f967320b3c65f29ed704862f8c34a6c0c8
+Subproject 84e44bf5a9e5dcb0f93c55129f565e34edb7dd1